=========================== 2.18.6 ========================

2009-03-06  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gnome-print-encode.c: (gnome_print_decode_ascii85):
	* tests/generate.c: (my_error):
	* tests/tools/pdfcheck.c: (my_error):
	* tests/tools/xmlfix.c: (my_error):
	Fix warnings about missing format specifiers.

2008-09-22  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release bump.

==================== libgnomeprint 2.18.4 =======================

2008-02-02  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update.
	* libgnomeprint/gnome-print-ps2.c: (gnome_print_ps2_image):
	Patch from Behdad Esfahbod to fix graphics being printed as
	black squares. Closes bug #513699.

2007-02-13  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>
	
	Fix for bugzilla # 407648 "PDF output does not support searching"

	* libgnomeprint/gnome-print-pdf-private.h: gnome_print_embed_pdf_font
	  added an additional glyph2unicode parameter for passing the 
	  glyph-id to unicode mapping array. A new private function
	  gnome_print_pdf_font_tounicode is also defined, which outputs
	  "ToUnicode" mapping for a subsetted TrueType font.

	* libgnomeprint/gnome-print-pdf-tt.c: 
	  (gnome_print_pdf_ttsubset_low_glyph_bound): New static function for
	  calculating the lower glyph bound in an array is defined.

	  (gnome_print_pdf_tt_subset_embed): Changed to call 
	  gnome_print_pdf_ttsubset_low_glyph_bound

	  (gnome_print_pdf_font_tounicode): New function for output
	  ToUnicode charmap for a subsetted font.

	* libgnomeprint/gnome-print-pdf.c: 
	  (subsetfontname_cmp): New sort function defined for sorting the
	  subsetted fonts based on psnames.

	  (gnome_print_embed_all_pdf_fonts): Changed to define glyph2unicode
	  array, which is created only once for all the subfonts of a 
	  masterfont. The pdf font embedding order is changed based on
	  the masterfont so that we don't have to do the expensive
	  for loop for all subfonts.

	  (gnome_print_embed_pdf_font): Call gnome_print_pdf_font_tounicode
	  is subsetting is happening, use the returned objet_number as the
	  the ToUnicode object number.

================ libgnomeprint 2.18.3 =====================

2007-11-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gnome-print-pdf.c: Initialize ret
	so we don't use it uninitialized. Coverity CID #1439.

2007-11-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gnome-print-filter.c:
	(gnome_print_filter_set_property):
	Initialize va to bring some code back from the dead.
	Found via the Coverity scanner (CID 3073).
	Thanks to Lutz Müller for verifying the fix.

2007-11-20  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove -lpopt here too.
	Closes bug #497968. Reported by dmacks at netspace org.

2007-11-12  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gpa/gpa-model.c:
	* libgnomeprint/transports/gp-transport-custom.c:
	* libgnomeprint/transports/gp-transport-lpr.c:
	Remove a couple redundant includes.

========================== 2.18.1 =========================

2007-08-03  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/modules/cups/gnome-print-cups.c: (get_paper_text):
	Patch from Jeremy Messenger <mezz@FreeBSD.org> to fix a crash in
	gedit from a typo. Closes bug #461526.

2007-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gnome-print-filter.c:
	(gnome_print_filter_set_property), (reset_impl),
	(gnome_print_filter_description_rec): Fix some warnings.
	Patch from Michael Wolf. Closes bug #409738.
        * libgnomeprint/gpa/gpa-utils.c: (gpa_utils_dump_tree_with_level):
	Seems I forgot to commit this earlier?

2007-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gpa/gpa-utils.c: (gpa_utils_dump_tree_with_level):
	Add cast to make this build on Solaris. Patch from Damien Carbery.
	Closes bug #418595.

2007-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* tests/tools/pdfcheck.c: #include <stdio.h> for vsnprintf()
	Patch from Michael Wolf. Closes bug #409743.

============================ 2.18.0 ==============================

2007-03-01  Tor Lillqvist  <tml@novell.com>

	* libgnomeprint/gpa/gpa-utils.c (gpa_utils_dump_tree_with_level):
	Guard against printing NULL for %s.

2007-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gnome-print-gdi.c:
	* libgnomeprint/modules/win32/gnome-print-win32.c:
	* tests/gpa-test.c: (test_gpa_list), (test_globals):
	Remove trailing commas.

============================= 2.17.92 =============================

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* MAINTAINERS: Add myself
	* Makefile.am: Dist MAINTAINERS

============================= 2.17.91 =============================

2007-01-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gpa/gpa-printer.c: (gpa_printer_new_from_tree):
	Fix another compiler warning.

2007-01-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gnome-print-filter.c: Fix a warning
	* libgnomeprint/modules/cups/gnome-print-cups.c:
	(load_paper_sizes): Mark two functions static.

============================== 2.17.90 ============================

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update some.
	* doc/reference/tmpl/gnome-print-job.sgml: gtk-doc changed this
	* doc/reference/tmpl/gnome-rfont.sgml: and this.
	* libgnomeprint/gnome-print-job.c: (gnome_print_job_print):
	Fix bug #361876 - "Crash when printing out a pdf in a directory
	with a localized name with chinese locale". Patch from Takao
	Fujiwara.
	* po/nb.po: Updated

2006-11-05  Jon K Hellan  <hellan@acm.org>

	* libgnomeprint/modules/win32/gnome-print-win32.c
	(load_paper_sources): Fix bin_cnt test.

2006-11-03  Jon K Hellan  <hellan@acm.org>

	* libgnomeprint/modules/win32/gnome-print-win32.c (paper_name,
	load_paper_sizes, load_paper_sources, append_printer,
	cb_update_status): Convert locale <-> UTF-8 where necessary. Fixes
	#369413.

2006-11-02  Jon K Hellan  <hellan@acm.org>

	* libgnomeprint/modules/win32/gnome-print-win32.c (get_model):
	Convert printer name from to UTF-8. Partial fix of #369413.

2006-10-31  Jon K Hellan  <hellan@acm.org>

	* libgnomeprint/modules/win32/gnome-print-win32.c (load_paper_sizes,
	load_paper_sources): Check for errors of DeviceCapabilities. Fixes (?)
	#309715 and #361610.

2006-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in:
	* data/models/GNOME-GENERIC-PS.xml.in.in:
	* data/models/GNOME-META.xml.in:
	* data/models/GNOME-PDF-WRITER.xml.in.in:
	* libgnomeprint/Makefile.am:
	* libgnomeprint/modules/Makefile.am: Fixes to make this build
	with cygwin. From the ports maintainer. Closes bug #322968

2006-10-30  Hans Breuer  <hans@breuer.org>

	* **/makefile.msc libgnomeprint/filters/makefile.msc : updated, new file
	* libgnomeprint/gnome-pint.def : updated externals, also export
	some *_real() variants e.g. gnome_print_beginpage_real() required 
	for filters/*

	* libgnomeprint/transports/gp-transport-(custom|lpr).c : consistently
	binary open when on G_OS_WIN32  
	Closes bug #312817.

2006-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/transports/gp-transport-file.c:
	(gp_transport_file_open): Fix utf8 issues with filename
	when saving to a file. Patch from yandong yao at sun com.
	Closes bug 324150.

2006-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Check for and link against -lm
	Patch from Loïc Minier. Closes bug #349182.

2006-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* tests/Makefile.am:
	* tests/fonts.c: (usage), (check_options), (main):
	* tests/generate.c: (main), (parse_command_line):
	* tests/gpa-test.c: (test_gpa_run_num), (parse_command_line),
	(main):
	* tests/pango.c: (usage), (main):
	* tests/tools/pdfcheck.c: (main):
	* tests/tools/xmlfix.c: (main):
	Port to GOption. Patch from Michael Terry. Closes bug #336884.

2006-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/modules/cups/Makefile.am: Fix link
	order to give priority to libs in the build prefix.
	Closes bug #331139. Patch from Sylvain Bertrand.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove ALL_LINGUAS from here and
	bump intltool req to 0.35.0
	* po/LINGUAS: Add this. Patch from Przemysław Grzegorczyk
	Closes bug #337974.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gnome-print-pango.c:
	(gnome_print_pango_glyph_string): Fix a critical warning
	when printing text. Patch from Ubuntu. Closes
	bug #330907.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gnome-fontmap.c: (fcpattern_to_gp_font_entry):
	Handle .otf fonts too. Patch from dmacks at netspace org.
	Closes bug #332400.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/gnome-print-encode.c: Fix typos
	* libgnomeprint/gnome-print-filter.c:
	(gnome_print_filter_set_property): Fix a warning from
	sparse.

2006-07-13  Jody Goldberg <jody@gnome.org>

	From : jdassen@debian.org
	* configure.in : Fix linkage for filters.
	* filters/Makefile.am (libgnomeprint_zoom_la_LIBADD) : ditto. [#317247]

2006-07-13  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-font-face.c (gnome_font_face_get_sample) : clear
	  an old patch to add docs for translators. [#337563]

2006-07-03  Runa Bhattacharjee <runabh@gmail.com>

	* configure.in: Added Bengali India (bn_IN) to ALL_LINGUAS.

2006-05-09  Jeffrey Stedfast  <fejj@novell.com>

	* libgnomeprint/gpa/gpa-printer.c (gpa_printer_new_from_tree):
	Match against the list of locale language names and not the locale
	string itself.

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-04  Gora Mohanty  <gmohanty@cvs.gnome.org>

	* configure.in: Added 'or' (Oriya) to ALL_LINGUAS.

2006-03-30  Guntupalli Karunakar  <karunakar@indlinux.org>

	* configure.in: Added "dz" (Dzongkha) to ALL_LINGUAS.

2006-03-13  Vladimer Sichinava  <alinux@siena.linux.it>

	* configure.in Added "ka" (Georgian) entrye

2006-03-06  Jody Goldberg <jody@gnome.org>

	As pointed out by andi5.py@gmx.net
	* libgnomeprint/gnome-print-config.c (gnome_print_config_unref) : The
	  docs claim it returns @config.  Returning NULL is pointless, and
	  changing the api is unnecessary.

2006-01-16  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-clip.c: Clip in 'stroke', 'fill'... instead
	of just in 'beginpage'.

2006-01-15  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-clip.c (beginpage_impl): gsave
	(showpage_impl): grestore. Like that, we reset the clip context for each new
	page.

2006-01-15  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-multipage.c: Simplify.
	* libgnomeprint/gnome-print-filter.c: Simplify.

2006-01-12  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprint/gnome-print-job.c (gnome_print_job_setup_context): 
	Load filters from "Settings.Output.Job.Filter" (printer specific filters),
	"Settings.Document.Filter" (page selection, layout...) and
	"Settings.Document.Page.Layout" (for historic reasons).

2006-01-08  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-multipage.c
	* filters/gnome-print-filter-reorder.c
	* libgnomeprint/gnome-print-filter.c: Correct implementation of resetting
	and flushing filters.

2006-01-08  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-frgba.c: Just reset the meta data instead
	of recreating it on each beginpage.
	* libgnomeprint/gnome-print-filter.c: Don't complain if there is no context.
	A previous filter may have suppressed the page. Just skip the command.

2006-01-04  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprint/gnome-print-filter.c (gnome_print_filter_reset): Fix small
	typo.

2006-01-04  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprint/gnome-print-filter.c (gnome_print_filter_clear_data): New.
	Use it in (gnome_print_filter_[finalize,reset]).

2006-01-02  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprint/gnome-print-filter.c (gnome_print_filter_reset): Don't unref
	the context - remove the weak pointer instead.

2006-01-01  Lutz Mueller <lutz@topfrose.de>

	* tests/test-meta.c: New.
	* tests/Makefile.am: Hook it up. Remove some empty declarations.

2005-12-31  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprint/gnome-print-meta.c (gnome_print_meta_class_init): No need
	for implementing the close-method, because now we have
	(gnome_print_meta_set_length): New.
	Kill warnings here and there by casting gchar <-> guchar.

2005-12-23  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-multipage.c
	(gnome_print_filter_multipage_set_property): Store the identity
	matrix if no matrix (or an uncomplete one) is supplied.

2005-12-20  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprint/gnome-print-job.c (gnome_print_job_set_file): Store
	the path to the input file in the configuration, too
	(Settings.Document.Source).

2005-12-19  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-reorder.c
  (gnome_print_filter_reorder_scan_cache): Remove page from cache if it has
	been printed
	(gnome_print_filter_reorder_[beginpage,showpage,pass_through]): Fix logic.
	(gnome_print_filter_reorder_flush): Implement. Add empty pages until cache
	is empty.
	* tests/test-filter.c: New.

2005-12-17  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-clip.c (beginpage_impl) : Only clip if
		the the region has been defined.

2005-12-06  Lutz Mueller <lutz@topfrose.de>

	* po/POTFILES.skip: Put a couple of files in there to avoid warnings.
	* filters/gnome-print-filter-multipage.c (reset): Implement.

2005-11-15  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-clip.c: Per default, don't clip.

2005-11-02  Simos Xenitellis  <simos@gnome.org>

	* configure.in: Added ky (Kirghiz) in ALL_LINGUAS.

2005-11-02  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter.c (gnome_print_filter_set_property) : 
	s/gnome_print_filter_add/gnome_print_filter_add_filter

2005-10-31  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-multipage.c
	(gnome_print_multipage_[set_property,finalize]) : Use g_list_remove_link
	instead of g_list_remove.
	* libgnomeprint/gnome-print-filter.c: Add property "filters".

2005-10-23  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-multipage.c: There now are always affines.
	* libgnomeprint/gnome-print-filter.c (showpage_impl): Fix refcounting.

2005-10-23  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-multipage.c:
	* libgnomeprint/gnome-print-filter.c: (param_get_type) :
	Supply a function for comparison, too.

2005-10-23  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-multipage.c: Add default affines.
	* libgnomeprint/gnome-print-filter.c: Don't overwrite structures that 
	belong to glib.

2005-10-23  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprint/grammar.y: A filter pool can be just one filter.

2005-10-17  Tor Lillqvist  <tml@novell.com>

	* libgnomeprint-zip.in: Use @VERSION@ in folder names instead of
	hardcoding 2.11.1.

2005-10-15  Laszlo Peter  <laca@sun.com>

	* libgnomeprint/modules/papi/gnome-print-papi.c
	(gnome_print_papi_printer_list_append): stop the papi module from
	  crashing when no printers are defined.
	* filters/Makefile.am: s/-Wall/$(WARN_CFLAGS)/

2005-10-15  Ivan, Wong Yat Cheung <ivanwong@gnome.org>

	* filters/Makefile.am: fix LIBADD on some platforms.

2005-10-12  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-multipage.c
	(gnome_print_filter_multipage_flush) : Always flush also the parent.
	* libgnomeprint/gnome-print-job.c (gnome_print_job_get_pages) : Close the
	context after rendering. (gnome_print_job_render_page) : Same here.

2005-10-12  Lutz Mueller <lutz@topfrose.de>

	* filters/gnome-print-filter-reverse.[c,h]: New. Print in reverse order.
	* filters/Makefile.am: Hook up above files.
	* libgnomeprint/gnome-print-job.c (gnome_print_job_print) : Only flush
	at the end of the document.
	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_close) : Just return
	if there are no pages to print. Don't warn.
	* libgnomeprint/gnome-print.c (gnome_print_context_close) : Flush filters
	before closing.

2005-10-05  Matthias Clasen  <mclasen@redhat.com>

	* libgnomeprint/libgnomeprint-2.2-uninstalled.pc.in: 
	* libgnomeprint/libgnomeprint-2.2.pc.in: Require 
	gmodule-no-export-2.0, not gmodule-2.0.  (#318029)

2005-09-26  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2005-09-26  Jody Goldberg <jody@gnome.org>

	* Release 2.12.1

2005-09-23  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/grammar.y (gnome_print_filter_parse_prop) : Don't leak
	  refs to filters.  gnome_print_filter_append_predecessor ADDS a ref,
	  it does not absorb one.

2005-09-22  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=312803
	* libgnomeprint/gnome-print-transport.c
	(gnome_print_transport_real_print_file) : don't fclose NULL.

	* libgnomeprint/gnome-print-job.c (gnome_print_job_print) : don't leak
	  result of g_object_get

	* libgnomeprint/gnome-print-filter.c (gnome_print_filter_finalize) :
	  don't leak a ref to the context.
	(showpage_impl) : Don't leak a ref to the old filter.

2005-09-21  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gp-gc.c (gp_ctx_duplicate) : weak_ref the user_data
	  to add protection against keeping a pointer to an object that may be
	  deleted elsewhere.
	(gp_gc_set_user_data) : ditto.
	(gp_ctx_destroy) : weak_unref it.

2005-09-20  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=305336
	* libgnomeprint/gnome-print-module.h : It's good that those enums are
	  not used as far as I can tell.

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_glyphlist) : id is
	  static, it had better be constant.

2005-09-19  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-job.c (gnome_print_job_print) : some
	  warning suppression.

	http://bugzilla.gnome.org/show_bug.cgi?id=316018
	* filters/gnome-print-filter-frgba.c (image_impl) : This makes a bit
	  more sense.  First we create a simple bpath.  Pull the bounding box
	  out of that (we could optimize that but who cares).  The use the
	  bpath to clip.

	* data/models/GNOME-GENERIC-PS.xml.in.in : filters seem to use module
	  name rather than type name.

2005-09-13  Jürg Billeter  <j@bitron.ch>

	http://bugzilla.gnome.org/show_bug.cgi?id=155144
	* libgnomeprint/modules/cups/gnome-print-cups.c: (cb_get_ppd):
	  Mark printer as default before prepending to list, required to fix
	  default selection in libgnomeprintui.

2005-09-06  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=315372
	* libgnomeprint/gnome-print-job.c (gnome_print_job_render_page) : no
	  undefined returns.

2005-09-06  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2005-09-06  Jody Goldberg <jody@gnome.org>

	* Release 2.12.0

2005-09-02  Lutz Mueller <lutz@users.sourceforge.net>

	* filters/gnome-print-filter-select.c (do_skip_page): Check all parameters.

2005-09-02  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print.c: (gnome_print_beginpage_real): Don't set 
	'haspage' here, set it in (gnome_print_beginpage).

2005-09-01  Lutz Mueller <lutz@users.sourceforge.net>

	* filters/gnome-print-filter-reorder.c: Remove debugging messages.
	* libgnomeprint/gnome-print.c
	(gnome_print_showpage): Don't warn if there is no page.
	* libgnomeprint/gnome-print-stdapi.c: Don't warn if there is no page.
	* libgnomeprint/gnome-print-filter.c: Fix ref-counting.
	
2005-09-01  Lutz Mueller <lutz@users.sourceforge.net>

	* filters/gnome-print-filter-reorder.[c,h]: New. Reorders pages.
	* filters/Makefile.am: Hook it up.

2005-08-31  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-private.h: Fix typo.

2005-08-31  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-job.c: Only create the multipage filter if there
	is a real need for it.

2005-08-29  Tor Lillqvist  <tml@novell.com>

	* libgnomeprint-zip.in: New file. Used to build a zipfile
	distribution of libgnomeprint for Win32.

	* configure.in
	* Makefile.am: Expand and distribute it.

	* data/models/Makefile.am (EXTRA_DIST): Fix typo.

2005-08-22  Lutz Mueller <lutz@users.sourceforge.net>

	* filters/gnome-print-filter-select.c: Add property 'last'.

2005-08-16  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-job.c:
	(gnome_print_job_setup_context): Move up.
	(gnome_print_job_get_pages): Return number of pages after filters.
	(gnome_print_job_render_page): Render page after filters.

2005-08-15  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/Makefile.am: gnome-print-[multipage,frgba].[c,h] are no
	longer used. We use filters instead.
	* libgnomeprint/gnome-print-job.c
	(gnome_print_job_setup_context): update layout data here.
	(gnome_print_job_print)
	(gnome_print_job_render)
	(gnome_print_job_render_page): Use filters.
	* libgnomeprint/gnome-print.c: No need for special case for ps2 driver any
	more.

2005-08-15  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/filters/gnome-print-filter.[c,h]: Move up one directory.
	* libgnomeprint/filters/[grammar.y,parse.l,types.h]: Those files, too.
	* libgnomeprint/Makefile.am: Hook up above files
	* Makefile.am: Compile filters subdirectory
	* configure.in: Hook up filters subdirectory

2005-08-15  Lutz Mueller <lutz@users.sourceforge.net>

	* filters/*: Move files from libgnomeprint/filters/* here.

2005-08-15  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-job.c
	(gnome_print_job_setup_context): New. Creates necessary filters.
	(gnome_print_job_render): Simplify by using above function.

2005-08-15  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-job.c: Kill some warnings.

2005-08-14  Tor Lillqvist  <tml@novell.com>

	* libgnomeprint/filters/Makefile.am (install-exec-hook): Hack to
	make "make install" work, especially in tinderbox-like
	situations. See http://mail.gnome.org/archives/desktop-devel-list/2005-August/msg00110.html

	The real fix would be to change the source code organization of
	libgnomeprint to avoid the need to cd back and forth and run
	sub-makes. A suggestion: put libgnomeprintfilter in a directory of
	its own, as a sibling to libgnomeprint. The plugin modules should
	also be in a sibling directory to libgnomeprint, not a
	subdirectory of it. The top-level Makefile.am would have them in
	SUBDIRS in the order: libgnomeprintfilter, libgnomeprint,
	filters. I think the libs would then naturally build in the
	correct dependency order?

2005-08-11  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-ps2.c: Kill some warnings.
	(gnome_print_ps2_beginpage): Use gnome_print_clip_bpath_rule_real, thus
	avoiding all filter stuff at this level.

2005-08-10  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-private.h: Add GnomePrintContextPrivate to
	structure GnomePrintContext.
	* libgnomeprint/gnome-print.c
	(gnome_print_context_[init,finalize]): Move up.
	(gnome_print_[[begin,show]page,gsave,grestore,[clip,fill]_bpath_rule,
	 stroke_bpath,[image,glyphlist]_transform): Redirect to filter if there is
	one.
	(gnome_print_set[rgbcolor,opacity,linewidth]): Move here from
	* libgnomeprint/gnome-print-stdapi.c
	(gnome_print_set[rgbcolor,opacity,linewidth]): Now in gnome-print.c.

2005-08-10  Lutz Mueller <lutz@users.sourceforge.net>

	* data/models/GNOME-GENERIC-PS.xml.in.in: The postscript driver needs the 
	FRGBA filter. Will be hooked up later in libgnomeprint/gnome-print-job.c.

2005-08-10  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-stdapi.c 
	(gnome_print_set[rgbcolor,opacity,linewidth]): Redirect call to filter if 
	there is one.
	(gnome_print_show), (gnome_print_show_sized): Kill warning.
	* libgnomeprint/filters/gnome-print-filter-multipage.c: Fix range.

2005-08-09  Tor Lillqvist  <tml@novell.com>

	* configure.in: Set SOEXT to .dll on Windows, .so on Unix. Expand
	the new files below.

	* data/models/GNOME-GENERIC-PS.xml.in
	* data/models/GNOME-META.xml
	* data/models/GNOME-PDF-WRITER.xml.in: Remove. Expand at
	configure time instead from the new .in files below.
	
	* data/models/GNOME-GENERIC-PS.xml.in.in
	* data/models/GNOME-META.xml.in
	* data/models/GNOME-PDF-WRITER.xml.in.in: Corresponding new
	files. Instead of hardcoding .so use @SOEXT@.

	* data/models/Makefile.am (models_in_files): Corresponding changes.

	Handle dependency mess intruduced recently, which causes problems
	on Win32 where -no-undefined really means what it says.

	* libgnomeprint/Makefile.am: As we now want to build
	libgnomeprint-2-2.la before the subdirs have been completely built
	(see below), add explicit dependency on gpa/libgpa.la,
	filters/libgnomeprintfilter.la and ttsubset/libttsubset.la, and
	add rule to cd to these subdirs and build these libs.
	(libgnomeprint_2_2_la_LIBADD): Put LIBGNOMEPRINT_LIBS last.
	
	* libgnomeprint/filters/Makefile.am: The plugin modules depend on
	../libgnomeprint-2-2.la and libgnomeprintfilter.la, so spell that
	out. Add rule to build ../libgnomeprint-2-2.la. Drop the
	LIBADD for libgnomeprintfilter.la. It is a noinst library,
	i.e. a static archive, so LIBADD is useless.

2005-08-05  Sunil Mohan Adapa <sunil@atc.tcs.co.in>

	* configure.in: Added "te" to ALL_LINGUAS.

2005-08-04  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/Makefile.am: Link against filters/libgnomeprintfilter.la
	* libgnomeprint/gnome-print.c: New property "filter". Add a couple of
	casts between guchar and gchar in order to suppress warnings.

2005-08-03  Lutz Mueller <lutz@users.sourceforge.net>

	* tests/test-print.c: Test the existing "4 to 1" feature.

2005-08-03  Lutz Mueller <lutz@users.sourceforge.net>

	* tests/test-common.[c,h]
	* tests/test-print.c: New files for printing complex test pages.
	* tests/Makefile.am: Hook them up.

2005-08-02  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/filters/*: New
	* configure.in: Hook up libgnomeprint/filters/Makefile.am
	* libgnomeprint/Makefile.am: Hook up libgnomeprint/filters
	* libgnomeprint/gnome-print-private.h
	* libgnomeprint/gnome-print.c:
	(gnome_print_*_real): New. Will be used later when filters get hooked up.

2005-08-02  Lutz Mueller <lutz@users.sourceforge.net>

	* configure.in: flex and bison are now mandatory. They will be needed
	shortly.

2005-07-20  Owen Taylor  <otaylor@redhat.com>

	* libgnomeprint/gnome-print-pango.c: Redo the code that looks
	for FC_PIXEL_SIZE; the previous fix for bug #169020 wasn't
	quite right.

2005-07-18  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-config.c: Make the node accessible as a
	property.
	* libgnomeprint/gnome-print-module.h: Fix includes.
	* libgnomeprint/gnome-print.c: Make config and transport accessible as a
	property.

2005-06-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2005-06-15  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-rbuf.c (gpb_image): Remove unused variable.

2005-06-12  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-rbuf.h: Move definition of GnomePrintRBuf into
	* libgnomeprint/gnome-print-rbuf.c: s/->priv->/->. While at it, remove
	(gpb_[[begin,show]page,clip,fill,close,finalize]). This makes the file much
	smaller.

2005-06-12  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-rbuf.c: Remove some unnecessary includes.
	s/gnome_rfont_render_pgl/gnome_pgl_render
	* libgnomeprint/gnome-rfont.c (gnome_rfont_render_glyph_rgba8): Make it work
	by using the same logic like in gnome_rfont_render_glyph_rgb8.

2005-06-11  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2005-06-11  Jody Goldberg <jody@gnome.org>

	* Release 2.11.0

2005-06-11  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/Makefile.am: Don't publish gnome-print-rbuf.h. Instead, 
	introduce ...
	* libgnomeprint/gnome-print-private.h
	* libgnomeprint/gnome-print.c (gnome_print_context_new_from_module_name):
	New. Replaces the need for the gnome-print-rbuf.h header file.

2005-06-11  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-frgba.c (gpf_render_buf) and
	* libgnomeprint/gnome-print-rgbp.c (rgbp_showpage): Don't use
	gnome_print_rbuf_new. Use g_object_new instead.

2005-06-11  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-rbuf.h: (gnome_print_rbuf_construct),
	(gnome_print_rbuf_new): Removed. We now use properties.
	* libgnomeprint/gnome-print-rbuf.c: Use properties.

2005-06-07  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/Makefile.am: Publish gnome-print-rbuf.h as private
	header. It will be used by libgnomeprintui.
	* libgnomeprint/gnome-print-rbuf.h: Show definitions of structures here.
	* libgnomeprint/gnome-print-rbuf.c:
	(gpb_[begin,show]page): Remove some unused variables.
	(gnome_print_rbuf_construct): Make public.

2005-04-01  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-31  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-30  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/modules/cups/gnome-print-cups.c (load_cups_duplex) :
	  new.  Pull code from gnome_print_cups_adjust_settings.  We want to
	  add the nodes to the model, the settings are generated from the
	  model.

2005-03-30  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print.c : Use GNOME_PRINT_DATA_DIR
	* libgnomeprint/Makefile.am : define GNOME_PRINT_DATA_DIR
	* libgnomeprint/gpa/Makefile.am : remove some unnecessary defines.

2005-03-29  Ivan, Wong Yat Cheung <email@ivanwong.info>

	* libgnomeprint/modules/win32/gnome-print-win32.c:
	* libgnomeprint/gnome-print-gdi.c:
	  Fix print-to-file (bug 171891).
	  Translate using gettext (bug 171629).

	* libgnomeprint/gnome-print.c: .mo should go into share/locale

2005-03-28  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/modules/win32/gnome-print-win32.c: Add PRINTER_ENUM_CONNECTIONS so that we can print to remote printers on WinNT (bug #171640)
	* libgnomeprint/modules/win32/gnome-print-win32.c: Don't use unsafe %f modifier in printf format. Fixes bug 171630, from Ivan Wong

2005-03-25  Ivan, Wong Yat Cheung <email@ivanwong.info>

	* configure.in: detection of win32

	* libgnomeprint/Makefile.am: include gnome-print-path.h and
	  the gdi drivers if host_os == win32.

	* libgnomeprint/gnome-font-face.c: italic_angle is counter-
	  clockwise on win32.

	* libgnomeprint/gnome-print-transport.c:
	* libgnomeprint/gpa/gpa-model.c
	* libgnomeprint/gpa/gpa-printer.c
	* libgnomeprint/gpa/gpa-root.c
	* libgnomeprint/gnome-print-i18n.c: replace some path related
	  preprocessor definitions with global variables.

	* libgnomeprint/gnome-print.c: fill path related global
	  variables on DLL_PROCESS_ATTACH, free them on
	  DLL_PROCESS_DETACH, this prevents leakage. Become more
	  robust when using CreateFileMapping()/MapViewOfFile().

	* libgnomeprint/gnome-print-path.h declare those global
	  variables.

	* libgnomeprint/gnome-print.def: add back some missing
	  symbols, probably more.

	* libgnomeprint/gpa/gpa-printer.c (gpa_printer_new_from_tree):
	  lang was uninit if HAVE_LC_MESSAGES was not defined.

	* tests/fonts.c:
	* tests/generate.c:
	* tests/gpa-test.c:
	* tests/pango.c: make tests buildable with win32.

	* libgnomeprint/gnome-print-gdi.[ch]:
	* libgnomeprint/modules/Makefile.am:
	* libgnomeprint/modules/win32/Makefile.am:
	* libgnomeprint/modules/win32/gnome-print-win32-transport.c:
	* libgnomeprint/modules/win32/gnome-print-win32.c: introduce
	  the new win32 module for GP. Printer enumeration works,
	  more options could be added though. The transport class is dummy,
	  as gdi already handles those things. Have tested printing some
	  workbooks of gnumeric/samples/chat-tests.gnumeric and the outputs
	  seems okay. Should be able to improve the gstack/set_font as
	  CreateFont() is quite heavy.

2005-03-24  Morten Welinder  <terra@gnome.org>

	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry): Use
	g_ascii_strcasecmp here.

2005-03-24  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=171395
	* libgnomeprint/gnome-print-pdf.c
	(gnome_print_pdf_font_print_widths) : doh!

2005-03-24  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_image) : silence a
	  bogus compiler warning
	(gnome_print_pdf_glyphlist) : add support for vertical offsets and use
	  font->size to scale rather than Tm[0]
	(gnome_print_pdf_font_print_descriptor) : move free.
	(gnome_print_pdf_print_double) : fix.

2005-03-23  Jody Goldberg <jody@gnome.org>

	* Add G_GNUC_PRINTF where it makes sense.
	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_set_line) : remove
	  bogus extra argument.

2005-03-23  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=164230
	* libgnomeprint/gnome-print-pango.c (gnome_print_pango_glyph_string) :
	  patch from 164230.

2005-03-23  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2005-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.10.2

2005-03-23  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=170693
	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_print_double) :
	  clarify the docs.

2005-03-23  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=114858
	* libgnomeprint/gnome-glyphlist.c (gnome_glyphlist_dump_pgl) : new
	  debug utility.
	(gnome_glyphlist_dump) : ditto.

2005-03-23  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/ttsubset/gnome-print-tt-subset.c : include unistd.h to
	  suppress warning.

2005-03-23  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_glyphlist) : enable
	  kerning.

2005-03-23  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_show) : new.
	  Examines glyph positions and selects between show, xshow, yshow,
	  xyshow to honour the requested kerning.
	 (gnome_print_ps2_glyphlist) : use gnome_print_ps2_show for fonts with
	   subsetting (ttf) and others.

	* libgnomeprint/gnome-print-pdf.c : limit the precision a bit for %f,
	  we do not need 6 digits most of the time.
	(gnome_print_pdf_glyphlist) : sync the code with the structure in the
	  ps2 exporter. Start the extensions to support kerning but DO NOT
	  ENABLE IT the glyph measurement is still incorrect.

2005-03-21  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/modules/cups/gnome-print-cups.c
	(gnome_print_cups_adjust_settings) : don't add a duplex or a tumble
	  node if the ppd does not mention them.

2005-03-21  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>
	Fix for
	http://bugzilla.gnome.org/show_bug.cgi?id=171128	

	* libgnomeprint/gnome-rfont.c (grf_ensure_slot_bbox): FT_LOAD_DEFAULT 
	argument for FT_Load_Glyph tries to load embedded bitmps, if present 
	as the first priority, bitmaps causes invlid outline and causes 
	FT_Outline_Get_BBox to behave incorrectly and return invalid bbox. 
	By passing FT_LOAD_NO_BITMAP as argument we are correcting this.
	
2005-03-19  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_glyphlist) : back
	  out the affine.  We're in the wrong coordinate system.

2005-03-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=169963
	* libgnomeprint/modules/lpd/gnome-print-lpd.c (append_printer) : Since
	  we store the printer name in the model, we need more than one model ...

2005-03-16  Jody Goldberg <jody@gnome.org>

	* configure.in (echo) : post release bump

2005-03-16  Jody Goldberg <jody@gnome.org>

	* Release 2.10.1

2005-03-15  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/modules/lpd/gnome-print-lpd.c
	(gnome_print_lpd_printer_list_append) : another leak. we need to free
	  the result of g_strsplit even if it is an array of 0 strings.

2005-03-15  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-config.c (gnome_print_config_get_boolean) : 
	  patch leak. (thanks for the suggestion to use valgrind CVS).

2005-03-15  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=170369
	* libgnomeprint/gnome-print-pdf.c
	(gnome_print_pdf_font_print_descriptor) : fix leak from Kjartan

2005-03-15  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=170106
	* libgnomeprint/gnome-print-pdf.c : Use '%f' rather than '%g' to avoid
	  scientific notation which is not supported in pdf.

	  Use gnome_print_pdf_page_write in place of
	  gnome_print_pdf_page_fprintf for constant strings.  This is a small
	  performance optimization.

2005-03-15  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=133924
	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_glyphlist) : I
	  agree with Owen, we need to map the glyph position.

2005-03-14  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/transports/gp-transport-lpr.c : 
	  s/HAVE_CLOSE/HAVE_PCLOSE/
	* libgnomeprint/transports/gp-transport-custom.c : copy the
	  portability wrappers from gp-transport-lpr over into here too.

2005-03-14  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=167325
	* libgnomeprint/transports/gp-transport-custom.c
	(gp_transport_custom_open) : "wb" is strictly a win32 thing

2005-03-14  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/gnome-print-svg.c: Replace %g with %f. See bug #170106
	
2005-03-10  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=169020
	* libgnomeprint/gnome-print-pango.c (font_from_pango_font) : honour
	  FC_SIZE_PIXEL too.

2005-03-08  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2005-03-08  Jody Goldberg <jody@gnome.org>

	* Release 2.10.0

2005-03-08  Jody Goldberg <jody@gnome.org>

	* configure.in : bump libgnomecups req

2005-02-18  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gpa/gpa-settings.h : remove gpa_settings_new_empty, it
	  did not exist.

2005-02-18  Jody Goldberg <jody@gnome.org>

	* configure.in : Clarify the error message when cups is enabled but
	  not found.  Users may want to manually disable it.

2005-02-18  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/attachment.cgi?id=36988&action=edit
	* libgnomeprint/modules/cups/gnome-print-cups.c : Merged in the last
	  of the redhat async patches.

2005-02-04  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/modules/cups/gnome-print-cups.c (cb_printer_added) :
	  move this up.

2005-01-28  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne "nepali" in ALL_LINGUAS

2005-01-27  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/ttsubset/gnome-print-tt-subset.c: Added a tmpnam()
	replacement in order to fix bug #164173. I feel dirty.

	* libgnomeprint/gnome-print-svg.c: Fix some error codes

	* libgnomeprint/gnome-font-face.c: Plug subfont memleak

	* libgnomeprint/gnome-print-pdf-tt.c: Ditto
	
2005-01-11  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/Makefile.am: Make gnome-print-meta.h public. It will
	be needed by libgnomeprintui shortly (#161370).

2005-01-04  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>

	Bugzilla #158027 problem displaying mixed test with gpdf

	Seems like with the following change in libgnomeprint creates PDF
	which is displayable by gpdf.

	* libgnomeprint/gnome-print-pdf.c: Added
	gnome_print_pdf_get_subfont_name to indicate the BaseFont is derived.

	(gnome_print_embed_pdf_font): Call to gnome_print_pdf_get_subfont_name.

2004-12-31  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/gnome-print-job.c: Fix typo (bug #162407)
	* libgnomeprint/gnome-print-pdf.c: Don't emit a PDF id - bug #161827
	* libgnomeprint/gnome-print.c: Fix bug #160873 (from Christophe Belle <christophe.belle@bull.net>)
	
2004-12-24  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/modules/cups/gnome-print-cups.c: Make variable const and static
	* libgnomeprint/modules/lpd/gnome-print-lpd.c: Ditto
	
2004-12-22  Dom Lachowicz <cinamod@hotmail.com>	

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_image): Fixes bug #160434.
	
2004-12-21  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_rgba_image_mask): New function for printing a PDF RGBA image's PDF 1.4 SMask. Fixes bug 87543.

2004-12-21  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_image): Some work toward bug #87543 (printing PDFs with alpha images)
	
2004-12-15  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-meta.h
	  (gnome_print_meta_[reset,get_page_name,render,render_page]): New
	* libgnomeprint/gnome-print-meta.c: Implement new functions.

2004-12-15  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-job-private.h: Removed.
	* Makefile.am
	* makefile.msc: Reflect above removal.
	* libgnomeprint/gnome-print-job.h: Tell people about the new
	  possibility to get config and context via g_object_get.
	* libgnomeprint/gnome-print-job.c: JOBPrivate -> GnomePrintJobPrivate.
	  (gnome_print_job_[class_init,[get,set]_property]): Implement new
					property 'context'. Plug ref-leak.
	  (gnome_print_job_init): Create meta here.
	  (gnome_print_job_close): Simplify.

2004-12-06  Jody Goldberg <jody@gnome.org>

	* configure.in : post branch bump

2004-12-06  Jody Goldberg <jody@gnome.org>

	* Release 2.8.2

2004-12-03  Hans Breuer  <hans@breuer.org>

	* libgnomeprint/transports/gp-transport-file.c : add the appropriate
	  access flags to open() for win32, too.  Also don't use gsize to keep
	  the return value of write(). Otherwise one will get anendless loop if
	  writing fails.

2004-11-19  Hans Breuer  <hans@breuer.org>

	* config.h.win32 : [new file] support building on win32 without
	 autoconf libgnomeprint/libgnomeprint/gpa/gpa-printer.c : use
	 g_buildfile_name and g_win32_get_package_installation_subdirectory()
	 to determine additional module dirs at runtime

	* libgnomeprint/gnome-font-face.c libgnomeprint/gnome-print-pdf-tt.c :
	 added HAVE_UNISTD_H

	* libgnomeprint/gnome-fontmap.c : use g_strcasecmp()

	* libgnomeprint/gnome-print-transport.c
	libgnomeprint/gpa/gpa-printer.c : use GLib provided <gdir.h> instead
	 of <dirent.h>

	* libgnomeprint/gnome-print-transport.c : don't hardcode so names,
	 instead use the least common denominator GModule is capable to handle

	* libgnomeprint/ttsubset/ttcr.c
	libgnomeprint/ttsubset/gnome-print-tt-subset.c
	libgnomeprint/gnome-print-ps2.c : open files in binary mode
	 libgnomeprint/gnome-print.c : ...  abd also include <io.h> on win32 to
	 get prototypes for unix like open(), close()

	* libgnomeprint/transports/gp-transport-lpr.c : define popen(),
	 pclose() to their msvcrt name.

	* libgnomeprint/transports/gp-transport-lpr.c : make the prototype of
	 G_MOUDULE_EXPORT(ed) functions match the implementation

	* libgnomeprint/ttsubset/sft.h : if building with msvc use typedefs
	 from GLib instead of the native GNUC types

	* libgnomeprint/transports/gp-transport-win32.[hc]
	libgnomeprint/modules/win32/gnome-print-win32.c : start of win32
	 native printer access

	* libgnomeprint/gnome-print.c : use native memory mapping when on
	 G_OS_WIN32

	* libgnomeprint/gnome-print.def : exported symbols **/makefile.msc :
	 makefile for ms visualc nmake/command line compiler

2004-12-03  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/gnome-print-ps2.c (gp_ps2_stroke): Initialize variable before using it
	* libgnomeprint/gnome-print-config.c: Bug 156415
	* libgnomeprint/gnome-print-job.c: ditto
	* libgnomeprint/gnome-print-multipage.c: ditto
	* libgnomeprint/gpa/gpa-node.c: ditto
	* tests/tools/pdfcheck.c: ditto

2004-12-03  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/modules/cups/gnome-print-cups-transport.c
	(gp_transport_cups_finalize) : remove unncessary assert.  IF this was
	  created without a config (and no call to construct) it can be null.
	  Libraries should not be calling assert in production code.

2004-12-01  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-transport.c
	(gnome_print_transport_construct) : make private
	(gnome_print_transport_exists_by_name) : new public.

2004-11-30  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/ttsubset/sft.c (GetTTGlyphOutline) : add 'b' to fopen.
	* libgnomeprint/ttsubset/gnome-print-tt-subset.c
	  (gnome_print_ps_tt_create_subfont) : ditto.
	* tests/generate.c (parse_command_line) : ditto.
	(main) : ditto.
	* tests/fonts.c (my_config_load_from_file) : ditto.

2004-11-29  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-transport.h : Add an 'exists' member and
	  some padding.
	* libgnomeprint/gnome-print-transport.c
	(gnome_print_transport_new_from_module_name) : Use it.

	* libgnomeprint/transports/gp-transport-lpr.c (find_lpr) : split from
	(gp_transport_lpr_open) : here.
	(gp_transport_lpr_exists) : use in this new routine.
	(gp_transport_lpr_class_init) : and connect the new routine here.

2004-11-28  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-10-27  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>

	Fix for bug#156641 english text not printed out with specific 
	chinese font (songti.ttf )

	* libgnomeprint/libgnomeprint/gnome-font-face.c 
	(gnome_font_face_ps_embed_tt): Additional check to get the right
	page info from the subfont name (for PS printing).

	* libgnomeprint/libgnomeprint/gnome-print-pdf-tt.c 
	(gnome_print_pdf_tt_subset_embed): -do- (for PDF printing).
	
2004-11-09  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/modules/cups/gnome-print-cups.c
	(gnome_print_cups_adjust_settings) : default to non-duplexed and be
	  more agressive about checking the right option from the PPD using
	  the same fallbacks as cups-1.1.20

2004-10-14  Chris Kelso  <ckelso@heliosphere.org>

	* libgnomeprint/Makefile.am: Place dependency libs first for linking.

2004-10-14  Morten Welinder  <terra@gnome.org>

	* libgnomeprint/gnome-print-pango.c (print_pango_layout_line): Fix
	154574.  (tony.graham@sun.com)

2004-10-12  Morten Welinder  <terra@gnome.org>

	* libgnomeprint/ttsubset/ttcr.c: Don't include <sys/uio.h>.

	* libgnomeprint/gnome-print.c: Unconditionally include <fcntl.h>
	for O_RDONLY.

2004-10-01  Jody Goldberg <jody@gnome.org>

	* configure.in : Back to 2.8.1 after the point release

2004-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.8.0.1

2004-10-01  Jody Goldberg <jody@gnome.org>

	(gnome_print_ps2_print_octal_byte) : doh!
	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_print_bpath) : fix
	  return type and handle errors.

2004-10-01  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-ps2.c : Clarify the error handling and
	  return values in all routines.
	(gnome_print_ps2_print_double) : no need for a dynamic buffer.  put it
	 on the stack.
	(gnome_print_ps2_print_octal_byte) : new.
	(gnome_print_ps2_glyphlist) : use it here and correct the return val
	  calculation.

2004-10-01  Morten Welinder  <terra@gnome.org>

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_puts,
	gnome_print_ps2_putc): New functions.  Change most calls of
	gnome_print_ps2_fprintf to one of these.
	(gnome_print_ps2_glyphlist): Print letters as letters, not octal.
	Fixes #153667.

2004-09-30  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/modules/cups/gnome-print-cups.c
	(attributes_changed_cb) : Store the queue length in QueueLength

2004-09-23  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-font-face.c (gf_pso_print_double) : remove some
	  dead code

2004-09-13  Jody Goldberg <jody@gnome.org>

	* configure.in :  bump to 2.8.1.  No branching for a 2-3 weeks so that
	  we can fix things if necessary before major change starts.

2004-09-13  Jody Goldberg <jody@gnome.org>

	* Release 2.8.0

2004-09-13  Jody Goldberg <jody@gnome.org>

	* autogen.sh : require automake 1.7.2 to make jhbuild happy

2004-09-13  Jody Goldberg <jody@gnome.org>

	rename
	  gff_load -> gnome_font_face_load
	  art_rgba_rgba_affine -> gnome_print_art_rgba_rgba_affine
	  art_rgba_svp_alpha -> gnome_print_art_rgba_svp_alpha
	to avoid polluting the global namespace

2004-09-11  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry) : .ttc
	  files can also be truetype fonts.

2004-09-11  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Added a PKG_CHECK_MODULES for gmodule-2.0 and use it
	for CUPS_CFLAGS and CUPS_LIBS to make the g_module_open symbol (used in
	libgnomeprint/modules/cups/gnome-print-cups.c) resolvable.

2004-09-10  Jody Goldberg <jody@gnome.org>

	* configure.in : Post release bump

2004-09-10  Jody Goldberg <jody@gnome.org>

	* Release 2.7.90

2004-09-10  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=133924
	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_glyphlist) : 
	  art_affine_scale just initializes an affine for scaling, it does not
	  multiply the supply affine by a scaling affine.

2004-08-18  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=149858
	* libgnomeprint/gnome-fontmap.c
	(fcpattern_to_gp_font_entry) Make FC_STYLE forcing always
	work by making it independent of fontconfig.

2004-09-08  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gpa/gpa-reference.c (gpa_reference_set_value) : More
	  robust in the face of failure.

	http://bugzilla.gnome.org/show_bug.cgi?id=147349
	* configure.in : Improve the zlib test

	http://bugzilla.gnome.org/show_bug.cgi?id=143878
	* libgnomeprint/gnome-font.c (gnome_font_find_closest) : this should
	  call gnome_font_face_find_closest (Owen Taylor)

	* libgnomeprint/gnome-font-face.c (gfft2_outline_funcs) : make static

2004-08-25  Brian Cameron  <brian.cameron@sun.com>

	* doc/reference/libgnomeprint-docs.sgml: Updated to use same
	  DOCTYPE that is used by glib/gtk+.

2004-08-24  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-08-21  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-config.c (gnome_print_config_set_length) :
	  remove some debug spew

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

2004-08-11  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_set_font_real):

	Put comments into gnome_print_ps2_set_font_real for fix #148674 as per 
	Jody's request.

2004-08-11  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>

	Fix for #149858

	* libgnomeprint/gnome-fontmap.c
	(fcpattern_to_gp_font_entry) If FC_STYLE is not found, create one from
	  FC_SLANT and FC_WEIGHT. If they are not present, give 'Regular'
	  FC_STYLE.

2004-08-11  Matthias Clasen  <mclasen@redhat.com>
	    Colin Walters  <walters@redhat.com>

	* libgnomeprint/modules/cups/gnome-print-cups.c (attributes_changed_cb):
	Get queue length directly from printer attributes.
	(queue_changed_cb): Delete.
	(start_polling): Don't connect to queue signals.
	(stop_polling, gpa_printer_complete_stub): Don't disconnect queue signals.

2004-08-10  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>

	Fix for #148674

	* libgnomeprint/gnome-print-ps2.c
	(gnome_print_ps2_set_font_real): Fixed incorrect subfont comparison
	  which created a duplicate entry for the same font with different size
	  in ps2->fonts.

2004-08-08  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=149452
	* libgnomeprint/gp-gc.c (gp_gc_set_linewidth) : apply transform
	  _before_ comparing with the current post transformed value.

2004-08-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tests/generate.c (my_draw_text): silence warning
	(my_draw_glyphlist): initialize ret

2004-08-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_glyphlist):
	  initialize current_page
	(gnome_print_pdf_object_end): remove superfluous argument to
	  gnome_print_pdf_fprintf

2004-07-30  Jody Goldberg <jody@gnome.org>

	* configure.in :  post release bump

2004-07-30  Jody Goldberg <jody@gnome.org>

	* Release 2.7.1

2004-07-30  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/modules/lpd/gnome-print-lpd.c :  missing include

	* libgnomeprint/gpa/gpa-state.c : warning suppression and associated
	  fixes.

	* libgnomeprint/gpa/gpa-model.c :  const brokeness warning

	* doc/reference/Makefile.am :  Ignore the stf files to silence some
	  warnings.

2004-07-22  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gpa/gpa-model.c (gpa_model_new_from_xml_str) : moved
	  from cups for more general use.

2004-07-29  Colin Walters  <walters@redhat.com>

	* libgnomeprint/modules/lpd/Makefile.am
	(libgnomeprintlpd_la_LDFLAGS): Remove unused LPD_LIBS.

2004-07-29  Matthias Clasen  <mclasen@redhat.com>

	* libgnomeprint/modules/cups/gnome-print-cups.c
	(gnome_print_cups_printer_list_append): Keep a handle to the
	module so that it stays open even if there are no printers.

2004-07-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/modules/lpd/gnome-print-lpd.c 
	(gnome_print_lpd_printer_list_append): ignore cups portion of 
	  /etc/printcap file
	
2004-07-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/modules/Makefile.am: add lpd subdirectory *
	configure.in: add libgnomeprint/modules/lpd/Makefile *
	libgnomeprint/modules/lpd/.cvsignore: new *
	libgnomeprint/modules/lpd/Makefile.am: new *
	libgnomeprint/modules/lpd/gnome-print-lpd.c: new
	
2004-07-26  Owen Taylor  <otaylor@redhat.com>

	* libgnomeprint/gnome-print-pango.c (gnome_print_pango_glyph_string): 
	Don't draw glyph id 0. (Mentioned in #143874, Paolo Maggi)

2004-07-21  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_set_font_real) :
	  Minor warning suppression no real effect.
	(gnome_print_ps2_glyphlist) : ditto.

2004-07-20  Colin Walters  <walters@redhat.com>

	* configure.in: Add check for libgnomecups.
	
	* libgnomeprint/gpa/gpa-utils.c (gpa_utils_dump_tree_with_level):
	Handle printing GPAState nodes.

	* gpa-state.h, gpa-state.c: New subclass of GPANode, designed
	to hold state for a printer.

	* libgnomeprint/gpa/gpa-printer.h (struct GPAPrinter): Include
	module handle and polling state.
	(gpa_printer_set_polling, gpa_printer_get_state)
	(gpa_printer_get_state_by_id): New functions.

	* libgnomeprint/gpa/gpa-printer.c (gpa_printer_load_data): Keep
	module open and reuse, instead of reopening.
	(gpa_printer_list_load): Load settings here.
	(gpa_printer_set_polling): New function for setting module
	polling state.
	(gpa_printer_new_stub): Open module here.
	(gpa_printer_complete_stub): Create state node.
	(gpa_printer_get_state, gpa_printer_get_state_by_id): New
	functions for returning a state node for a printer.

	* libgnomeprint/gpa/gpa-node-private.h: Add child_added
	and child_removed signals.

	* libgnomeprint/gpa/gpa-node.c: Implement new signals.
	(gpa_node_get_child): Implement.

	* libgnomeprint/gpa/Makefile.am (libgpa_la_SOURCES): Add
	gpa-state.c.
	(libgpainc_HEADERS): Add gpa-state.h.

	* libgnomeprint/gnome-print-module.h: Add polling_state
	member.
	
	* libgnomeprint/modules/cups/gnome-print-cups.c: Include
	libgnomecups bits.
	(struct GnomePrintCupsNewPrinterCbData): Small structure for
	holding libgnomecups callback data.
	(append_printer): Install signal handlers.
	(gnome_print_cups_printer_list_append)
	(gnome_print_cups_adjust_settings): Refactor to use libgnomecups.
	(attributes_changed_cb): Handle attribute changes.
	(add_printer_location): Install the "Location" attribute of a
	printer state node.
	(queue_changed_cb): Handle a change in the number of oustanding
	jobs, and set the QueueLength attribute.
	(start_polling): Install libgnomecups signal handlers.
	(stop_polling): Deinstall handlers.
	(printer_added_cb, printer_gone_cb): New functions to handle
	printer addition and departure.
	(gpa_module_polling): Implement polling function using
	start_polling and stop_polling.
	(gpa_module_load_data): Use libgnomecups to retrieve PPD files.
	Install handlers for queue and attribute changes.

2004-07-19  Jody Goldberg <jody@gnome.org>

	* tests/generate.c : Some win32 tweaks from Mark

2004-07-15  Owen Taylor  <otaylor@redhat.com>

	* libgnomeprint/gnome-print-pdf-t1.c (gnome_print_pdf_t1_determine_lengths_pfa):
	Just look for the last occurrence of 'cleartomark' in the 
	file instead of making guesses as to what is after. The
	Adobe spec allows comments/PS code after the cleartomark
	and, e.g., fonts generated by pfaedit have such.

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_set_font_real): 
	Initialize encodedname to NULL so we don't free a random bit
	of memory.

	* libgnomeprint/gnome-print.c (gnome_print_buffer_mmap): Fix
	problems with not setting b->buf_size that were causing the
	PS2 backend not to be able to embed fonts.

2004-07-11  Dom Lachowicz <cinamod@hotmail.com>

	* configure.in: Check for zlib; append Z_LIBS to GNOME_PRINT_LIBS
	
2004-07-07  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/gnome-print.c: Workarounds for when mmap fails or
	on platforms where there is no mmap.
	
2004-07-03  J.H.M. Dassen (Ray) <jdassen@debian.org>

	http://bugs.debian.org/256955
	* libgnomeprint/modules/cups/Makefile.am: link libgnomeprintcups.so
	against TOOLS_LIBS to make all its symbols are resolvable.

2004-07-02  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=145300
	* libgnomeprint/ttsubset/sft.h : Remove the big/little endian kludge
	* libgnomeprint/ttsubset/sft.c : Use glib's version.  There is lot's
	  of other glibification that could be done but I don't want to get
	  too far from the mainline on this code.

	http://bugzilla.gnome.org/show_bug.cgi?id=145235
	* libgnomeprint/gnome-print-pdf.c (gnome_print_embed_all_pdf_fonts) :
	  C89 compilation fix from Jens Granseuer

2004-06-29  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-06-29  Jody Goldberg <jody@gnome.org>

	* Release 2.7.0

2004-06-21  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>

	Support for TrueType fonts subsetting. Subfonts are created 
	using only the glyphs found in the document to be printed.
	A couple of unrelated fixes are also included.

	tt fonts will broken into subfonts dividing into pages of 256 
	glyphs each. Only the needed glyphs in a particular range
	will be embedded in the subfont. The glyph 0 always being the 
	undefined glyph in each subfont. We are doing subsetting for
	all tt fonts, even if they are less than 256 glyphs this approach
	not only reduces output file size but also obsoltes the need to
	maintain multiple code paths.

	Makes use of STSF code (which is used in OpenOffice/StarOffice 
	for ttf subsetting, created a ttsubset directory
	under libgnomeprint and cp'ied needed files from ST-0.4/stsflib 
	(sft.c, list.c, ttcr.c and crc32.c) and created Makefile.am and 
	gnome-print-tt-subset.c/gnome-print-tt-subset.h functios 
	defines/declares the font subsetting function which are used for
	ttf font subsetting in PS/PDF outputs.

	This results in a faster/sleeker PS/PDF output.

	Following are the overall changes.

	* configure.in: Added new make file to be generated 
	libgnomeprint/ttsubset/Makefile

	* Deleted gp-tt-t1.c, gp-tt-t1.h, gp-truetype-utils.c 
	and gp-truetype-utils.h 

	* libgnomeprint/Makefile.am: Added ttsubset as subdir and made
	libgnomeprint_2_2_la depend on ttsubset/libttsubset.la

	Deleted gp-tt-t1.c, gp-tt-t1.h, gp-truetype-utils.c and 
	gp-truetype-utils.h, which contained ttf helper functions like 
	ttf2pfa, previously used for converting ttf to Type 1 before embedding
	now that we are using ttf embeding in PS output using type 42, so
	these are no longer needed.

	ttsubset subdirectory is created for the ttf font subsetting code.
	
	* libgnomeprint/gnome-font-face.c:
	Included unistd.h for unlink.
	Deleted gp-tt-t1.h reference.

	(gnome_font_face_ps_embed_tt): Create a Type 42 subfont using only
	the needed glyphs from the tt font. We are doing the subsetting
	even if the ttf is less than 256 glyphs. We are getting the range		of the glyphs in the subfont from pso->encodedname (like 
	GnomeUni-FreeMono-002, means for this the we need to extract the
	included glyphs in the range 255*2 - 255*3 (2 is from '002' in the
	pso->encodedname), also only the needed glyphs are selected from this 
	range. glyphArray stroes the actual glyph index in the master font (in
	this example FreeMono), which can be greater than 256, the newly
	encoded glyphs will be in 1-255 range, this plus null glyph in the
	zero postion completes the needed glyphs for the Type 42 font we
	are creating from the original tt font. Since we are adding the
	extra null glyph, each element in the encoding array is increased by
	one. This approach of only including the needed glyphs reduces the 
	size of the output significantly.

	* libgnomeprint/gnome-print-pdf-private.h: Declaration for 
	gnome_print_pdf_tt_subset_embed and gnome_print_embed_pdf_font.

	* libgnomeprint/gnome-print-pdf-tt.c: Corrected file comments.
	Included <unistd.h> for unlink. Also gnome-print-tt-subset.h for
	gnome_print_pdf_tt_create_subfont, which creates a tt subset file from
	a tt font.

	(gnome_print_pdf_tt_embed) : Deleted, as we are subsetting all 
	tt fonts with only the needed glyphs for printing.

	(gnome_print_pdf_tt_subset_embed): Similar to 
	gnome_font_face_ps_embed_tt, additionally for the width determination,
	we need to fill in font->code_to_glyph array, also font->code_assigned
	indicating the total number of glyphs in the subfont. Calls
	gnome_print_pdf_tt_create_subfont, which creates a tt font with
	the glyph information of the selected glyphs in the master font, with
	the new encoding vectors in the encoding array.

	The subfont is buffered and printed into the pdf stream.

	* libgnomeprint/gnome-print-pdf.c: 
	Defined NEEDED_SUBSETTING macro, to check whether font subsetting
	is required. Currently we are doing it if the font is a TrueType
	font irrespective of # of glyphs inside. 

	Declared static func gnome_print_pdf_set_subfont_real.
	
	(gnome_print_pdf_set_font_real)	Modified to take in additional 
	parameters corresponding to the whether the selected font to print
	the glyphs is a subfont and page number information for the subfont.

	(gnome_print_pdf_glyphlist) In this function glyphlist is printed out 
	using a font. Currently subfont creation is supported only for
	truetype fonts. 

	Call gnome_print_pdf_set_font_real only if the font is not a tt font.
	
	When setting the font for each glyph if we are using a tt font, 
	then determine what range the glyph to be printed out lies 
	(ranges of 255 glyphs each) if the preceeding glyph was not printed 
	out using the same range, do set the new subfont by calling 
	gnome_print_pdf_set_font_real, (which is modified to deal with the
	subfonts too ) that function initiates the creation 
	of ttf subfont and includes it in pdf stream for glyph show, actual
	embedding is deferred till we have created the tt subfont using the
	needed glyphs. gnome_font_face_pso_mark_glyph function marks each
	glyph in the master font for inclusion in the subfont created.

	master glyph (glyph index in the master font) is used to get the
	glyph in the the subfont, which is master_glyph % 255 plus 1, 
	corresponding to the extra null glyph inserted in each subfont.

	(gnome_print_pdf_write_fonts): Don't print '/Encoding' vector to
	output stream if we need ttf subsetting.

	(gnome_print_embed_all_pdf_fonts): New function created which
	goes thru all the fonts needed for this job and created the 
	subfont and embeds it.

	(gnome_print_pdf_close): Call to gnome_print_embed_all_pdf_fonts,
	we are deferring the subfont creation embedding till last for
	creating only the needed glyphs in each subfont.

	(gnome_print_pdf_font_print_descriptor): Call 
	gnome_print_pdf_tt_subset_embed always for tt fonts.

	If tt fonts, set the flags = 4 always as we are creating the subfont
	with non standard symbol encoding.

	Use font->pso->encodedname, which is the subfont name for /FontName.

	(gnome_print_embed_pdf_font): Function called by 
	gnome_print_embed_all_pdf_fonts to embed the pdf object corresponding
	to the subfont within the pdf stream, we don't need /Encoding for
	symbol encoded subfonts.

	(gnome_print_pdf_set_font_real): 2 additional parameters for dealing
	with the subfonts. Checks to see whether a subfont which is already in 
	memory is Ok or a new subfont should be set for the font set pdf
	operator. If the font is new create a new GnomePrintPdfFont and insert
	it into pdf->fonts list. Subfont name is GnomeUni-<PS fontname>-<3 digit
	subfont number>, the subfont number part is omitted if it is 0. 
	gnome_font_face_pso_new also creates the font->pso->encodedname in
	the same manner, which makes the comparison fine.

	Other changes in the function include,

	code_to_glyph array have 257 elements, as when creating a subfont all 
	glyphs in the range 0-256 may have values.

	Deleted the gnome_print_pdf_font_print_descriptor call, we are 
	deferring the actual embedding of the font till the very end to include
	only the needed glyphs.

	Font encoding is not printed, as the resultant ttf subfont is encoded 
	in symbol format.

	(gnome_print_pdf_page_fprintf): Corrected a memory corruption
	pdf->stream was not realloc'ed right, no space for NUL when
	pdf->stream_used + len == pdf->stream_allocated.

	(gnome_print_pdf_set_color_real): Should not pass '%g' to 
	gnome_print_pdf_page_fprintf, should use 
	gnome_print_pdf_page_print_double instaed. Using locale sensitive
	'%g' in gnome_print_pdf_page_fprintf was causing a '.' printed as 
	a ',' in some European locales and resulted in bad pdf output.
	
	* libgnomeprint/gnome-print-private.h: Definition  for
	NEEDED_SUBSETTING

	* libgnomeprint/gnome-print-ps2.c: 

	(gnome_print_ps2_glyphlist) Changes similar to
	gnome_print_pdf_glyphlist. Make use of show instead of xyshow as
	we are dealing with font subsets having less than 256 glyphs.

	(gnome_print_ps2_set_font_real) Changes similar to 
	gnome_print_pdf_set_font_real. Additionaly we are checking for the
	font size too.

	* libgnomeprint/ttsubset/gnome-print-tt-subset.h: New header file
	defined for gnome_print_pdf_tt_create_subfont fuction.

	* libgnomeprint/ttsubset/gnome-print-tt-subset.c: Opens the
	ttf file and creates a subfont out of it in a temporaty file created.
	* libgnomeprint/ttsubset/ChangeLog: New ChangeLog for this directory.
	* libgnomeprint/ttsubset/Makefile.am: Creates a noinst_LTLIBRARIES, 
	for libgnomeprint.la to link to.
	* libgnomeprint/ttsubset/README: Read this file for explanation reg.
	the following files taken from stsf opensource project.
	* libgnomeprint/ttsubset/sft.c: ttf subtoutines file.
	* libgnomeprint/ttsubset/sft.h: ttf subtoutines header file.
	* libgnomeprint/ttsubset/list.h: list manipulation routines header 
	used by ttcr.c
	* libgnomeprint/ttsubset/list.h: list manipulation routines file
	used by ttcr.c
	* libgnomeprint/ttsubset/ttcr.c: ttf subtoutines creation helper file.
	* libgnomeprint/ttsubset/sft.h: ttf subtoutines creation helper 
	* libgnomeprint/ttsubset/crc32.h: Type 42 subfont creation helper 
	header.
	* libgnomeprint/ttsubset/crc32.c: Type 42 subfont creation helper file.
	header file.

Thu Jun  3 19:21:22 2004  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Require version 1.5 of Pango and the
	PangoFT2 library.

	* libgnomeprint/gnome-print-pango.[ch]: Extend printing
	API to allow printing layout lines and glyph strings
	as well as entire layouts. Reimplement from scratch.

	* libgnomeprint/gnome-fontmap.[ch]: Add a hash table from
	filename/index to font face to the font map.

	* libgnomeprint/gnome-font-face.[ch] Add
	gnome_font_face_find_from_filename() to
	gnome_font_find_from_filename() allow looking up faces by
	filename. This allows us to reliably convert a PangoFont into a
	GnomeFont.

	* tests/pango.c tests/Makefile.am: Add a test case for Pango layouts

2004-06-16  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/transports/gp-transport-file.c: Win32 build fix
	* configure.in: MMAP check; Win32 build fixes
	* configure.h.in: Ditto
	* gnome-print.c: Ditto
	* tests/pdfcheck.c: Ditto

	libgnomeprint now builds on Win32 via mingw. Will need to
	implement gnome_print_buffer_mmap() and munmap() for things to work 
	properly, though.
	
2004-06-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=137376
	* data/models/GNOME-PDF-WRITER.xml.in: change papersizes to autofill

2004-05-21  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_set_line) : add
	  missing space that was causing acrobat reading to get irrate

2004-05-17  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=142696
	* configure.in : Add an experimental PAPI backend

2004-05-11  Morten Welinder  <terra@gnome.org>

	* libgnomeprint/gpa/gpa-root.c (initializing): Make static.

	* libgnomeprint/gp-tt-t1.c (ftlib, fterr, glyph_cache): Remove.
	(struct command, command_table[], ft_outline_funcs[]): Constify.
	(italic_angle, bbox, bluevalues, nblues, notherb, otherblues,
	stdhw, stemsnaph, active, start_charstring, in_eexec, gclosepath,
	reversepaths, fclosepaths, ffixquadrants, fsplitzigzags,
	fforceconcise, fstraighten, fg_rmoveto, fg_rlineto, fg_rrcurveto,
	pathtoint, flattencurves, findblues, buildstems, stemstatistics,
	docorrectwidth, print_glyph_subs, *print_glyph, *rmoveto,
	*rlineto, *rrcurveto, ft_get_font_information,
	ttf_get_font_information, ttf_gentry_free, *ttf_printf,
	*ttf_strncat, *ttf_type1_dump): Make static.

2004-04-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/modules/cups/gnome-print-cups.c
	(gnome_print_cups_adjust_settings): new
	(gpa_module_load_data): call gnome_print_cups_adjust_settings on
	  all new settings.
	
2004-04-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gpa/gpa-printer.c (gpa_printer_new_stub): allow
	  the path to be NULL
	(gpa_printer_new): remove duplicate code
	* libgnomeprint/modules/cups/gnome-print-cups.c 
	(gnome_print_cups_printer_list_append): watch for multiple
	  instances of the same printer.
	(gpa_module_load_data): load data for all cups instances of the 
	  printer.
	
2004-04-27  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Grzegorz Golawski <grzegol@pld.org.pl>
	* configure.in: remove LTDL_SHLIBEXT
	* libgnomeprint/gpa/gpa-printer.c 
	(gpa_printer_list_load_from_module_dir): use G_MODULE_SUFFIX 
	  rather than LTDL_SHLIB_EXT
	
2004-04-27  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* Makefile.am: My previous change was too
	radical, just use DISTCLEANFILES instead
	of CLEANFILES for intltool-* scripts.

2004-04-26  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* Makefile.am: don't remove intltool-* script
	when doing make clean.

2004-04-21  Jody Goldberg <jody@gnome.org>

	* configure.in : post BRANCH bump

2004-04-21  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-12  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gpa/gpa-option.c (gpa_option_new_from_tree) :
	  add braces

2004-04-16  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-04-10  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-09  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Keith Sharp <kms@passback.co.uk>
	* libgnomeprint/gnome-print-config.c: add gtk-doc information
	* libgnomeprint/gnome-print-paper.c: add gtk-doc information
	* libgnomeprint/gnome-print-stdapi.c: add gtk-doc information
	* libgnomeprint/gnome-print-unit.c: add gtk-doc information
	* doc/reference/tmpl/gnome-print-config.sgml: add gtk-doc information
	* doc/reference/tmpl/gnome-print-unit.sgml: add gtk-doc information

2004-04-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=138346
	* libgnomeprint/gnome-font-face.c (gnome_font_face_is_italic):
	Fix a typo.

2004-04-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=138438
	* libgnomeprint/gp-tt-t1.c (print_glyph): remove 
	unneeded argument in ttf_printf call

2004-03-30  Jean Brefort  <jean.brefort@ac-dijon.fr>

	* libgnomeprint/gnome-print-pango.c:
	(gnome_print_pango_layout_print): fixed slanting of fonts

2004-03-22  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-03-22  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-22  Jody Goldberg <jody@gnome.org>

	* configure.in : remove the *_DISABLE_DEPRECATED for the stable
	  release and bump version to 2.6.0

2004-03-21  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-11  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-03-05  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprint/libgnomeprint-2.2-uninstalled.pc.in: Added
	the file.

2004-03-03  Jody Goldberg <jody@gnome.org>

	Patch from Sun to support uninstalled linking
	http://bugzilla.gnome.org/show_bug.cgi?id=136106
	* libgnomeprint/libgnomeprint-2.2-uninstalled.pc.in : new
	* configure.in : add  it
	* libgnomeprint/Makefile.am : dist it

2004-03-04  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-02-24  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-02-24  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-24  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=134806
	* libgnomeprint/gnome-print.c: Darwin requires #include <sys/types.h>
	  before #include <sys/mman.h>
	* tests/tools/pdfcheck.c: ditto

2004-02-22  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/gnome-print-svg.[ch]: Add SVG backend to gnome print.
	Disabled and not built at the moment.
	
2004-02-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-18  Dom Lachowicz <cinamod@hotmail.com>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_glyphlist): Don't
	fprintf doubles.
	
2004-02-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=133926
	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_construct): use
	  g_build_filename/g_get_tmp_dir rather than hardcoded path name
	* libgnomeprint/modules/cups/gnome-print-cups-transport.c 
	(gp_transport_cups_construct): use g_build_filename/g_get_tmp_dir
	  rather than hardcoded path name

2004-02-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=132872
	* libgnomeprint/modules/cups/gnome-print-cups.c 
	(model_unknown_xml_template): new
	(get_model_no_ppd): new
	(gpa_module_load_data): continue even without a ppd file
	
2004-02-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=133415
	* libgnomeprint/gpa/gpa-key.c (gpa_key_merge_children_from_option):
	  fix leak

2004-02-03  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-02-03  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2004-02-03  Jody Goldberg <jody@gnome.org>

	* Makefile.am : include gtk-doc.make
	* data/Makefile.am : make distcheck happy
	* data/printers/Makefile.am : ditto.

2004-02-01  Anders Carlsson  <andersca@gnome.org>

	* doc/reference/libgnomeprint-docs.sgml: Fix docs build.

2004-01-24  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-print-pdf.c : don't append EOL to the format
	  strings of gnome_print_pdf_page_print_double

2004-01-24  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=89580
	* libgnomeprint/gnome-font-face.c 
	(gnome_font_face_find_closest_from_pango_description): fix 
	  conversion from PangoWeight to GnomeFontWeight (use straight 
	  transfer).
	(gnome_font_face_get_prop): do not use entry->weight
	* libgnomeprint/gnome-font.c 	
	(gnome_font_get_prop): do not use entry->weight
	* libgnomeprint/gnome-fontmap.h (_GPFontEntry): we do not need 
	  both a `weight' and a `Weight' field, especially if the former
	  is identical to the speciesname field.
	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry): do not
	  use the e->weight.
	(gp_font_entry_unref): do not try to free e->weight.
	
2004-01-24  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Albert Chin-A-Young

	* tests/tools/Makefile.am: pdfcheck and xmlfix need 
	  $(LIBGNOMEPRINT_LIBS).
	* configure.in: Cleanup for freetype test. Also import CUPS ldflags.
	* data/Makefile.am: add globals to EXTRA_DIST
	* data/printers/Makefile.am: add printer descriptions to EXTRA_DIST
	
2004-01-24  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/modules/cups/gnome-print-cups.c (get_paper_text):
	  reduce duplicate warnings.

2004-01-19  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/modules/cups/gnome-print-cups.c (get_paper_text):
	  convert from cups ppd character encoding to utf8
	(load_paper_sizes): ignore empty paper names

2004-01-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=109446
	* configure.in (cups): Down required version to 1.1.20 since this 
	  suffices and 1.2 has not been released yet.
	* libgnomeprint/modules/cups/gnome-print-cups-transport.c: drop
	  LOCALEPROTECTION wrapper
	* libgnomeprint/modules/cups/gnome-print-cups.c: drop
	  LOCALEPROTECTION wrapper
	http://bugzilla.gnome.org/show_bug.cgi?id=131359
	* libgnomeprint/gpa/gpa-model.c (gpa_model_new_from_tree): the name
	  of the model is the content (not the name) of the "Name" node. Fix
	  leaks.
	
2004-01-17  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Albert Chin-A-Young

	* libgnomeprint/gpa/gpa-option.h: IBM C compiler does not like a 
	  comma after the last enum constant.
	* libgnomeprint/gnome-print-meta.c: ditto
	* libgnomeprint/gnome-fontmap.h : ditto
	* libgnomeprint/gnome-pgl.h: ditto
	* libgnomeprint/gnome-print-pdf.c : ditto
	* libgnomeprint/gnome-print-module.h: ditto
	* tests/generate.c : ditto
	* tests/gpa-test.c: ditto
	* libgnomeprint/gpa/gpa-node-private.h: ditto
	* libgnomeprint/gnome-print-job.c: ditto
	* libgnomeprint/modules/cups/gnome-print-cups-transport.c:
	  transport->file is a pointer
	* libgnomeprint/gnome-fontmap.c: strrchr() more standards compliant
	  than rindex
	* tests/tools/pdfcheck.c: No C++ comments in C source files.
	* libgnomeprint/gpa/gpa-utils.h: Remove __FUNCTION__ as it is not used.

2004-01-15  Morten Welinder  <terra@gnome.org>

	* configure.in (cups): Up required version to 1.2

2004-01-12  Jody Goldberg <jody@gnome.org>

	* configure.in : Add check for gnome-cups

2004-01-12  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-01-12  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2004-01-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-print-ps2.c: throughout the file split calls 
	  to gnome_print_ps2_fprintf into gnome_print_ps2_print_double and
	  gnome_print_ps2_fprintf to avoid using %g and friends for 
	  gnome_print_ps2_fprintf
	(gnome_print_ps2_print_double): new
	(gnome_print_ps2_fprintf): remove setlocale
	* libgnomeprint/gnome-font-face.c: throughout the file split calls 
	  to gf_pso_sprintf into gf_pso_print_double and
	  gf_pso_sprintf to avoid using %g and friends for 
	  gf_pso_sprintf
	(gf_pso_print_double): new
	(gf_pso_sprintf): remove setlocale
	* libgnomeprint/gnome-print-pdf-private.h 
	(gnome_print_pdf_print_double): new
	* libgnomeprint/gnome-print-pdf.c throughout the file split calls 
	  to gnome_print_pdf_page_fprintf and gnome_print_pdf_fprintf into 
	  gnome_print_pdf_page_print_double and
	  gnome_print_pdf_page_fprintf or gnome_print_pdf_print_double and
	  gnome_print_pdf_fprint to avoid using %g and friends for ...printf
	(gnome_print_pdf_page_print_double): new
	(gnome_print_pdf_page_write): new
	(gnome_print_pdf_page_fprintf): remove setlocale
	(gnome_print_pdf_fprintf): remove setlocale
	* libgnomeprint/gnome-print-ps2.c: throughout the file split calls 
	  to gnome_print_ps2_fprintf into gnome_print_ps2_print_double and
	  gnome_print_ps2_fprintf to avoid using %g and friends for 
	  gnome_print_ps2_fprintf
	(gnome_print_ps2_print_double): new
	(gnome_print_ps2_fprintf):remove setlocale
	* libgnomeprint/gnome-print-transport.c 
	(gnome_print_transport_printf): remove setlocale

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

	* configure.in: Added "hr" in ALL_LINGUAS.

2003-12-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-print-config.h (GNOME_PRINT_KEY_HOLD): new
	* libgnomeprint/modules/cups/gnome-print-cups-transport.c
	(get_job_options): add job-hold-until option
	* libgnomeprint/modules/cups/gnome-print-cups.c 
	(load_cups_hold_types): new
	(get_model): call load_cups_hold_types

2003-12-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/modules/cups/gnome-print-cups.c (load_paper_sources):
	  use human-readable option name rather than computer-readable option
	  name

2003-12-07  Jon K Hellan  <hellan@acm.org>

	* libgnomeprint/gnome-print-config.h
	(GNOME_PRINT_KEY_PAPER_SOURCE): Fix typo.

2003-12-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/modules/cups/gnome-print=cups-transport.c 
	(get_job_options): use GNOME_PRINT_KEY_PAPER_SOURCE

2003-12-05  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Peter Colijn <pcolijn@nit.ca>

	* libgnomeprint/gnome-print-config.h: define 
	  GNOME_PRINT_KEY_PAPER_SOURCE

2003-12-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=128036
	* data/models/GNOME-GENERIC-PS.xml.in: Add NonCollatedCopiesHW and
	  CollatedCopiesHW. Set Duplex default to true.
	* data/models/GNOME-META.xml: ditto
	* data/models/GNOME-PDF-WRITER.xml.in: ditto
	* libgnomeprint/gnome-print-config.h: add 
	  GNOME_PRINT_KEY_NONCOLLATED_COPIES_IN_HW and
	  GNOME_PRINT_KEY_COLLATED_COPIES_IN_HW
	* libgnomeprint/gnome-print-frgba.c (gpf_end_doc): new
	(gnome_print_frgba_init): initialize end_doc
	* libgnomeprint/gnome-print-job.c (gnome_print_job_print): consider
	  GNOME_PRINT_KEY_*_COPIES_IN_HW and call gnome_print_end_doc when
	  appropriate
	* libgnomeprint/gnome-print-multipage.c (gnome-print-multipage_init):
	  initialize end_doc
	(gnome_print_multipage_end_doc): new
	* libgnomeprint/gnome-print-private.h (end_doc): new field
	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_end_doc): new
	(gnome_print_ps2_init): initialize end_doc
	(gnome_print_ps2_setpagedevice_policies): new
	(gnome_print_ps2_requirements): new
	(gnome_print_ps2_setpagedevice): only change minimal page device 
	  settings
	(gnome_print_ps2_end_doc): new
	(gnome_print_ps2_beginpage): eject page if necessary
	(gnome_print_ps2_close): include requirements and policies
	* libgnomeprint/gnome-print.c (gnome_print_end_doc): new
	* libgnomeprint/gnome-print.h (gnome_print_end_doc): new
	* libgnomeprint/modules/cups/gnome-print-cups.c (model_xml_template)
	  Add NonCollatedCopiesHW and CollatedCopiesHW. Set Duplex default 
	  to true.

2003-12-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/modules/cups/gnome-print-cups-transport.c
	(LOCALEPROTECTION): only call setlocale if really necessary
	* libgnomeprint/modules/cups/gnome-print-cups.c: ditto

2003-12-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_setpagedevice):
	  new
	(gnome_print_ps2_close): move code into gnome_print_ps2_setpagedevice

2003-11-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* data/models/GNOME-GENERIC-PS.xml.in: add Duplex and Tumble
	* data/models/GNOME-META.xml: ditto
	* data/models/GNOME-PDF-WRITER.xml.in: ditto
	* libgnomeprint/modules/cups/gnome-print-cups.c: add Duplex and 
	  Tumble option
	* libgnomeprint/gnome-print-config.h: add GNOME_PRINT_KEY_DUPLEX
	  and #define GNOME_PRINT_KEY_TUMBLE
	
2003-11-27  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Akira TAGOH <tagoh@gnome-db.org>
	* libgnomeprint/gnome-font-face.c (gff_load): load other than 
	  first fonts too
	(gnome_font_face_ps_embed_tt): ditto
	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry):
	  handle new index field
	* libgnomeprint/gnome-fontmap.h (GPFontEntry): add index
	  field
	* libgnomeprint/gp-truetype-utils.c (gp_tt_split_file):
	  handle ttc file
	* libgnomeprint/gp-truetype-utils.h (gp_tt_split_file):
	  add face argument

2003-11-26  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2003-11-26  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0.1

2003-11-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-print-job.h: Add a reminder
	* libgnomeprint/gnome-print-job.c (gnome_print_job_get_context):
	  correct handling of refs and add reminder

2003-11-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-font-face.c
	* libgnomeprint/gnome-print-config.c (gnome_print_parse_transform):
	  moved from libgnomeprint/gnome-print-job.c
	(gnome_print_config_get_int): no need to switch locale
	(gnome_print_config_get_double): use g_ascii_strtod
	(gnome_print_config_get_length): use g_ascii_strtod
	(gnome_print_config_set_int): no need to switch locale
	(gnome_print_config_set_double): use g_ascii_dtostr
	(gnome_print_config_set_length): use g_ascii_dtostr and
	  g_strconcat
	(gnome_print_config_get_transform): moved here
	(gnome_print_config_get_layout_data): ditto
	* libgnomeprint/gnome-print-config.h 
	(gnome_print_config_get_transform): moved here
	* libgnomeprint/gnome-print-job.c (job_parse_transform): move to
	  libgnomeprint/gnome-print-config.c
	(job_parse_config_data): no need to change locale, call 
	  gnome_print_parse_transform rather than job_parse_transform
	(gnome_print_config_get_layout_data): moved to 
	  libgnomeprint/gnome-print-config.c
	(job_parse_transform): rename gnome_print_parse_transform and use
	  g_ascii_strtod rather than strtod
	(gnome_print_config_get_transform): move to 
	  libgnomeprint/gnome-print-config.c
	* libgnomeprint/gnome-print-private.h 
	(gnome_print_config_get_transform): moved to 
	  libgnomeprint/gnome-print-config.h
	(gnome_print_parse_transform): moved from 
	  libgnomeprint/gnome-print-job.c
	* libgnomeprint/gnome-print-transport.c: add warning to setlocale usage
	* libgnomeprint/gnome-print-ps2.c: ditto
	* libgnomeprint/gnome-print-pdf.c: ditto
	* libgnomeprint/gpa/gpa-node.c (gpa_node_get_length_path_value): use
	   g_ascii_strtod

2003-11-19  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=125836
	* libgnomeprint/gnome-font-face.c (gnome_font_face_find_closest):
	  try to fall back to Sans Regular or Sans before picking the first
	  available one.
	* libgnomeprint/gnome-font.c (gnome_font_find_closest): We are already
	  falling back in gnome_font_face_find_closest. If we can't find a font
	  then, there is no point in trying again.

2003-11-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=115566
	* libgnomeprint/modules/cups/gnome-print-cups-transport.c:
	  protect against libcups changing the locale on us
	* libgnomeprint/modules/cups/gnome-print-cups.c: ditto

2003-11-17  Andreas J. Guelzow <aguelzow@taliesin.ca> 

	* libgnomeprint/gpa/gpa-printer.c (gpa_printer_load_data): don't 
	  print misleading warning
	* libgnomeprint/modules/cups/gnome-print-cups.c 
	(gpa_module_load_data): handle non-loaded ppd files better (and 
	  print warning)

2003-11-17  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gnome-rfont.c : fix to work with latest libfreetype.
	* libgnomeprint/gnome-font-private.h : ditto
	* libgnomeprint/gp-tt-t1.c : ditto

2003-11-16  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gda-print-job.c (gnome_print_job_set_property): fix

2003-11-17  Andreas J. Guelzow <aguelzow@taliesin.ca> 

	* libgnomeprint/gnome-print-module.h: add argument to 
	  _GpaModuleInfo->printer_list_append
	* libgnomeprint/gpa/gpa-config.c (gpa_config_printer_modified):
	  handle config->settings == NULL
	* libgnomeprint/gpa/gpa-key.c (gpa_key_duplicate): handle `no option'.
	* libgnomeprint/gpa/gpa-node.c (gpa_node_lookup): replace unnecessary
	  warning with necessary check.
	* libgnomeprint/gpa/gpa-option.c (gpa_option_new_from_tree): handle 
	  `no option'.
	* libgnomeprint/gpa/gpa-printer.c (gpa_printer_init): initialize 
	  new members
	(gpa_printer_finalize): release new members
	(gpa_printer_load_data): new
	(gpa_printer_verify): handle incomplete data
	(gpa_printer_list_load_from_module): pass module path to module
	(gpa_printer_get_default_settings): load printer data if necessary
	(gpa_printer_new_stub): new
	(gpa_printer_complete_stub): new
	(gpa_printer_new): handle new members
	* libgnomeprint/gpa/gpa-printer.h: add new members to GPAPrinter
	(gpa_printer_new_stub): new
	(gpa_printer_complete_stub): new
	* libgnomeprint/gpa/gpa-reference.c: handle reference to NULL
	* libgnomeprint/modules/cups/gnome-print-cups.c (append_printer): new
	  argument and do not retrieve remote information
	(gnome_print_cups_printer_list_append): add new argument
	(gpa_module_load_data): new
	
2003-11-13  Andreas J. Guelzow <aguelzow@taliesin.ca> 
	for Murray Cumming  <murrayc@usa.net>

	* libgnomeprint/gda-print-job.c: Added config construct-only property,
	so that a GdaPrintJob can be instantiated with just g_object_new().

2003-11-12  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/showattachment.cgi?attach_id=19811
	patch by Frederic Crozat
	* libgnomeprint/gnome-font-face.c: protect font names with space 
	  throughout
	* libgnomeprint/gnome-print-ps2.c: ditto

2003-11-12  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=126046
	* libgnomeprint/gpa/gpa-config.c (gpa_config_duplicate): don't mess 
	  up references and duplicate the settings not quite as shallow

2003-11-12  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2003-11-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-11-11  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=109585
	* libgnomeprint/gpa/gpa-option.c (gpa_option_create_key) : Add some
	  validation and checking.  It was tempting to change the signature and
	  remove the unused arg, but that seemed a pointless break in api
	  compatibility.

2003-11-07  Morten Welinder  <terra@gnome.org>

	* libgnomeprint/gnome-print-meta.c (meta_image): Fix warnings and
	handle failure.

	* libgnomeprint/transports/gp-transport-lpr.c
	(gp_transport_lpr_open): Try finding lpr in PATH, then /usr/ucb/.

2003-11-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/modules/cups/gnome-print-cups.c 
	(gnome_print_cups_printer_list_append) : replace unrelaible use of 
	  cupsGetDefault() with dests[i].is_default

2003-11-03  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=125828
	* libgnomeprint/gnome-print-meta.c (meta_image) : preallocate space
	  for rasters to avoid massive useless reallocation.

2003-10-31  Jody Goldberg <jody@gnome.org>

	* configure.in : Move the setting (or not setting) of deprecation
	  flags here.
	* libgnomeprint/Makefile.am : rather than here.
	* libgnomeprint/gpa/Makefile.am : and here

2003-10-28  Morten Welinder  <terra@gnome.org>

	* libgnomeprint/gnome-print-job.c (gnome_print_job_get_context):
	Leak fix.

	* libgnomeprint/gnome-print-rbuf.c (gpb_glyphlist): Leak fix.

2003-10-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mr" to ALL_LINGUAS.

2003-09-28  Murray Cumming  <murrayc@usa.net>

	* libgnomeprint/gnome-font.c (gnome_font_find_closest): Applied
	patch from Owen Taylor in bug #120954, using Sans Regular instead of
	Helvetica as fallback, which has more chance of a sensible result.

2003-09-28  Murray Cumming  <murrayc@usa.net>

	* libgnomeprint/gnome-print/stdcapi.c: Applied mysterious and 
	unexplained semi-patch in bug #120910 from Jean Brefort, 
	using ART_WIND_RULE_NONZERO instead of ART_WIND_RULE_ODDEVEN in 
	gnome_print_clip(). I have no idea what it does, but Chema approved it.

2003-09-26  Jody Goldberg <jody@gnome.org>

	* configure.in : 2.5.0 'the redemption' is open for business.

2003-09-26  Jody Goldberg <jody@gnome.org>

	* Release 2.4.0

2003-09-26  Jody Goldberg <jody@gnome.org>

	* configure.in : bump to 2.4.0 to sync with desktop, and prepare to
	  branch.

2003-09-23  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* libgnomeprint/transports/gp-transport-file.c (gp_transport_file_open)
	When a file is printed to another file (*.ps), set the permission of the
	new file in accordance with the umask set. (bug #115836)
	
2003-09-04  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.

2003-09-02  Gediminas Paulauskas  <menesis@delfi.lt>

	* configure.in: Added lt to ALL_LINGUAS.

2003-08-12  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2003-08-11  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-08-11  Jody Goldberg <jody@gnome.org>

	* gtk-doc.make : add
	* doc/reference/Makefile.am : tweak uninstall to placate automake-1.7

2003-08-11  Paisa Seeluangsawat <paisa@users.sf.net>

	* th.po: Added Thai translation.
	* configure.in: (ALL_LINGUAS) Added Thai (th).

2003-08-06  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.in:
	  set ACLOCAL_AMFLAGS to make maintainer builds work
	* libgnomeprint/Makefile.am:
	* libgnomeprint/transports/Makefile.am:
	* tests/Makefile.am:
	  Use AM_* instead of * to not override user flags

2003-06-21  Dafydd Harries  <daf@parnassus.ath.cx>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS.

2003-06-25  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* libgnomeprint/libgnomeprint-2.2.pc.in (privateincludedir): fix
	path (add a missing libgnomeprint/).

2003-06-20  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "mk" to ALL_LINGUAS.

2003-06-19  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	Bug #115320
	
	* libgnomeprint/libgnomeprint-2.2.pc.in (privateincludedir): new
	variable pointing to the private headers directory.

	* libgnomeprint/gnome-font-private.h: include "gnome-font.h" from
	<libgnomeprint/gnome-font.h>, likewise for gnome-rfont.h.

	* libgnomeprint/Makefile.am (font_sources, font_private_headers):
	install gnome-fontmap.h to libgnomeprint/private.
	
2003-06-12  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* libgnomeprint/modules/cups/Makefile.am:
	* libgnomeprint/transports/Makefile.am:
	use -avoid-version for dynamically loaded modules (bug #114561)

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-04-25  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* configure.in: call AC_LIBTOOL_WIN32_DLL.

	* libgnomeprint/Makefile.am:
	* libgnomeprint/modules/cups/Makefile.am:
	* libgnomeprint/transports/Makefile.am: add -no-undefined
	to _la_LDFLAGS.

	* libgnomeprint/transports/Makefile.am: add $(LIBGNOMEPRINT_LIBS)
	to _la_LIBADD.

2003-03-28  Chema Celorio  <chema@celorio.com>

	* autogen.sh (REQUIRED_AUTOMAKE_VERSION): require automake 1.6
	(filed as bug #109366)

	* data/models/Makefile.am: fix automake warning "automake does not
	support conditional definition of modelsprivate_DATA".
	* data/printers/Makefile.am: for printers too.
	(filed as bug #109438)

	* libgnomeprint/gnome-print-config.c (gnome_print_config_get_boolean): "yes"
	was duplicated in the if.

2003-03-27  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_clip): Fix bug #107160

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-12  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gpa/gpa-node-private.h: the signature of the "modified" signal
	was missing a "gint flags" argument, add

	* libgnomeprint/gpa/gpa-root.h: remove globals printers_list & models_dict 
	add _GPARoot

	* libgnomeprint/gpa/gpa-root.c: make gpa_root a class in itself so that
	we can browse the whole tree.
	(gpa_init): attach globals and printers_list to gpa_root.

	* libgnomeprint/gpa/gpa-printer.c (gpa_printer_list_load)
	(gpa_printer_get_default, gpa_printer_get_by_id): change printers_list
	from a global to gpa_root->printers_list.

	* libgnomeprint/gpa/gpa-node.c (gpa_node_lookup): cast the gpa_root
	to a GPA_NODE

	* libgnomeprint/gpa/gpa-model.c: move models_dict here, is no longer
	on an .h file. s/models_dict/gpa_models_dict/g to prevent a symbol clash
	
	* tests/gpa-test.c: you can now pass a path to dump the tree in the console for
	added --dump-root and renamed --dump to --dump-config

2003-03-12  Chema Celorio  <chema@celorio.com>
	
	* configure.in: post release version bump to 2.3.1

2003-03-12  Chema Celorio  <chema@celorio.com>
	
	* 2.3.0 he we go. No other reason to make a release other than having
	a point of reference

2003-03-12  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/gnome-print-job.c (gnome_print_job_metadata_printer):
	implement. Prints the metadata to a file
	(gnome_print_job_print): use here

	* libgnomeprint/gnome-print.c: typo in function documentation
	(gnome_print_context_new): g_warn if the context could not be created

	* configure.in (metadata_printer): add --with-metadata-printer
	* data/printers/Makefile.am (privateprinters_DATA): install META.xml
	* data/models/Makefile.am: install GNOME-META.xml

2003-03-11  Chema Celorio  <chema@celorio.com>

	* tests/run-test.pl (my_check_output): bump max to accomodate for new
	  test.

	* tests/generate.c (my_clip_region): implement. Triggers bug #107160.

2003-03-05  Samúel Jón Gunnarsson <sammi@techattack.nu>

	* configure.in: Added "is" in ALL_LINGUAS

2003-03-05  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-unit.c (gnome_print_unit_get_identity): don't
	return FALSE on error, return NULL since the retval is a GnomePrintUnit*

	* tests/fonts.c (check_options): don't use == TRUE, fixes bug #107644

2003-02-28  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-job.c (job_parse_config_data): fetch page
	layout transforms in order. Fixes bug #105904

2003-02-28  Chema Celorio  <chema@celorio.com>
	
	* configure.in (GNOME_PRINT_MODULES/DATA_DIR): don't mess with the paths
	use datadir & libdir directly. Fixes bug #105096 
	(DISPLAY_DATA_DIR): resolve the actual installation datadir to display it
	at the end of configure. 

2003-02-28  Chema Celorio  <chema@celorio.com>

	* configure.in: don't use DATADIR to compose GNOME_PRINT_DATA_DIR as it is
	defined by the glib-gettext aclocal macro and thus breaks if gettext is
	not installed. Fixes bug #105089

2003-02-28  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/gpa/gpa-root.c (gpa_initialized): if we are initializing
	return TRUE
	(gpa_init): set the initializing flag on and off while we are initializing

2003-02-27  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gpa/gpa-root.c (gpa_initialized): having a models_dict
	does not mean that we are initialized, having a valid printers_list does

	* libgnomeprint/gpa/gpa-printer.c (gpa_printer_new): check for
	the return value of gpa_initialized not for the function pointer
	(was missing the parenthesis)

	* libgnomeprint/gpa/gpa-key.c (gpa_key_merge_from_key): allow merging
	from syntetic keys (Settings.Application)

2003-02-27  Chema Celorio  <chema@celorio.com>
	
	libgnomeprint part of bug #106162

	* libgnomeprint/gnome-print-unit.c (gnome_print_unit_get_name): implement
	* libgnomeprint/gnome-print-unit.h: add get_name guarded by _UNSTABLE_API
	as we don't want apps to use it since this entry point was added after 2.2.0
	we _need_ this function if we want to get translated unit names.

	* libgnomeprint/gpa/gpa-option.c (gpa_option_get_name): implement
	* libgnomeprint/gpa/gpa-option.h: add _get_name

	* libgnomeprint/gpa/gpa-utils.c (gpa_utils_dump_tree_with_level): print
	option->value for GPA_OPTION_TYPE_ITEM	

2003-02-26  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/modules/cups/gnome-print-cups.c: 
	(option_list_new_with_default): implement
	(load_paper_sources, load_paper_sizes): use here
	fixes #106984, reported and patch by Owen Taylor <otaylor@redhat.com>

2003-02-26  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-02-18  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ga" to ALL_LINGUAS.

2003-02-18  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-14  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-job.c (gnome_print_job_get_pages):
	g_return_val_if_fail if the job has not been closed.

2003-02-13  Chema Celorio  <chema@celorio.com>

	* configure.in: add check for zlib, fixes #105819

	* libgnomeprint/gnome-fontmap.h: add ->is_alias to GPFamilyEntry

	* libgnomeprint/gnome-fontmap.c (gp_fontmap_sort): make Families
	as alias/non-alias entries.
	(gnome_font_family_list): don't append entries

2003-02-11  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-config.c (gnome_print_config_get_option):
	implement

2003-02-11  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-config.c (gnome_print_config_insert_options):
	Implement

2003-02-11  Christopher James Lahey <clahey@ximian.com>

	* libgnomeprint/modules/cups/gnome-print-cups-transport.c (gp_transport_cups_print_file):
	implement

	* libgnomeprint/gnome-print-transport.h: add a print_file method to
	TransportClass

	* libgnomeprint/gnome-print-transport.c (gnome_print_transport_print_file):
	implement.
	(gnome_print_transport_real_print_file): implement.

	* libgnomeprint/gnome-print-job.h: add set file, guarded by
	GNOME_PRINT_UNSTABLE_API

	* libgnomeprint/gnome-print-job.c (gnome_print_job_set_file):
	implement.
	* add g_return_val_if_fails to make sure apps do not mix usage
	of gnome_print_job_set_file and gnome-print postscript like commands.
	
	* libgnomeprint/gnome-print-job-private.h: add ->input_file

2003-02-11  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print.c (gnome_print_context_close): we know
	the error type if something failed. Return ret rather than _ERR_UNKNOWN

2003-02-11  Chema Celorio  <chema@celorio.com>
	
	* configure.in: add libtool versioning

	* libgnomeprint/Makefile.am (LDFLAGS): add -version-info

	* libgnomeprint/modules/cups/Makefile.am (libgnomeprintcups_la_LDFLAGS):
	remove PLUGIN_LIBTOOL_CFLAGS from _la_LDFLAGS

2003-02-10  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gpa/gpa-settings.c (gpa_settings_append_stock_nodes):
	implement.
	(gpa_settings_new): and use here

	* libgnomeprint/gpa/gpa-option.c (gpa_option_duplicate): copy
	the LOCKED_FLAG when duplicating an option
	(gpa_option_create_key): handle _LOCKED_FLAG
	(gpa_option_new_from_tree): read "Locked" from xml tree

	* libgnomeprint/gpa/gpa-node-private.h: fix LOCKED_FLAG

	* libgnomeprint/gpa/gpa-key.c (gpa_key_duplicate): if the option
	had FLAG_LOCKED, the key should have it too
	(gpa_key_set_value): add support for synthetic keys needed
	for gnome_print_config_add_{type}
	(gpa_key_insert): implement

	* libgnomeprint/gpa/gpa-config.c (gpa_config_new): don't duplicate
	settings as multiple settings are not supported. We are not using
	gpa_list (of settings) correctly. We need not only _default for lists
	but _active or _selected. We are using _default to tag both defaults
	and selected settings.

	* libgnomeprint/gnome-print-config.h: add g-p-c-insert-boolean,
	remove duplicated GnomePrintConfig key. Update G_P_C_K_OUTPUT_FILENAME

	* libgnomeprint/gnome-print-config.c (gnome_print_config_keys_compat):
	implement to keep backward compatibility with keys.
	(gnome_print_config_get): use compat
	(gnome_print_config_insert_boolean): implement. Experimental at this
	point and guarded with GNOME_PRINT_UNSTABLE_API in .h file. Allows
	applications to insert nodes into a GnomePrintConfig

2003-02-10  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/gnome-print-transport.c (gnome_print_transport_new): if PrintToFile
	is true, set module to libgnomeprint-file.so.

	* libgnomeprint/transports/gp-transport-file.c (gp_transport_file_construct):
	get filename from Settings.Output.Job.FileName

	* libgnomeprint/modules/cups/gnome-print-cups.c: add Output.Job.FileName
	& Output.Job.PrintToFile
	* data/models/GNOME-GENERIC-PS.xml.in: ditto
	* data/models/GNOME-PDF-WRITER.xml.in: ditto

2003-02-07  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/modules/cups/gnome-print-cups.c: Don't append the
	Document subtree as gpa_settings_new does it for all settings.

2003-02-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "id" to ALL_LINGUAS.

2003-02-02  Chema Celorio  <chema@celorio.com>

	* Makefile.am (mydistcheck): use $(AMTAR) rather than $(TAR) which
	I guess is needed because I am using a newer automake.

	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry_alias):
	Fix #105006

2003-02-02  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/gpa/gpa-settings.c (gpa_settings_finalize): only
	gpa_node_unref settings->printer when it is not NULL. Settings can
	be unatached to a printer in some cases

2003-02-02  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/gnome-print-ps2.c: allow us to embed two fonts
	who happen to have the same Postscript name. See #105063.
	(gnome_print_ps2_init): create fonts_hash
	(gnome_print_ps2_finalize): destroy fonts_hash
	(gnome_print_ps2_set_font_real): when creating PSOs, specify
	which instance of the psname the font is for.

	* libgnomeprint/gnome-font-face.c (gnome_font_face_pso_new):
	add a "instance" argument that allows us to embed to fonts
	who happen to have the same postscript name. Set ->encodedname
	accordingly to the instance
	
	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_set_font_real):
	when creating a pso, pass 0 as the instance.

	* libgnomeprint/gnome-font-private.h: update _pso_new's prototype,
	update the description of GnomeFontPsObject->encodedname.

	* tests/simple.c: add file used for simple code to test or
	replicate a bug.
	* tests/Makefile.am: add simple to Makefile

2003-02-01  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-font-family.c (gnome_font_family_style_list):
	Don't return duplicated styles, the font-dialog no longer displays
	duplicated styles.

2003-01-31  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gp-gc.c (gp_gc_get_linecap): Fix the first
	part of #104932. Spotted by jean.brefort@ac-dijon.fr

	* libgnomeprint/gnome-font-face.c (gff_load_outline):
	Fix #104754

	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry):
	Fix #104710, patch from Akira TAGOH

	* configure.in (gtk_doc_min_version): don't need to check
	for "gtk-doc > 0.10". 0.9 is good enough

	* libgnomeprint/modules/cups/gnome-print-cups.c: add
	Output.Job.Copies & Output.Job.Collate
	* data/models/GNOME-PDF-WRITER.xml: same here

	* libgnomeprint/gpa/gpa-list.[ch]: fix a typo s/defalt/default/
	* libgnomeprint/gpa/gpa-printer.c: here too

2003-01-31  Chema Celorio  <chema@celorio.com>
	
	* configure.in (cups_msg): make the "cups not installed" message a little
	bit more explicit

2003-01-28  Chema Celorio  <chema@celorio.com>

	* doc/reference/Makefile.am: install API docs in
	$(HTML_DIR)/libgnomeprint-2.2 so that it parallel installs with
	libgnomeprint-devel (1.116.x)

2003-01-27  Chema Celorio  <chema@celorio.com>

	* configure.in: bump version to 2.3.0.

	* libgnomeprint/gnome-print-pdf-t1.c (gnome_print_pdf_t1_determine_lengths_pfa):
	remove a compile time warning that might break non gcc compilations. Spotted
	by Chris Lahey <clahey@ximian.com>

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-21  Chema Celorio  <chema@celorio.com>

	* configure.in: Check for that -lfreetype has
	FT_Get_Postscript_Name that was added in freetype 2.0.5.
	Too bad we have to force people to upgrade, but putting
	all the font parsing code back is not an option at this
	point.

2003-01-19  Chema Celorio  <chema@celorio.com>

	* This is TRUNK, for GNOME 2.2.x releases get the gnome-2-2 branch

2003-01-19  Chema Celorio  <chema@celorio.com>
	
	* 2.2.0 Here we go.

2003-01-19  Chema Celorio  <chema@celorio.com>
	
	remove debugging g_print calls from :
	* libgnomeprint/gnome-print.c (gnome_print_context_new):
	* libgnomeprint/gnome-print-job.c (gnome_print_job_print_to_file):
	(gnome_print_config_get_transform): 
	* libgnomeprint/gnome-print-rgbp.c (rgbp_showpage): 

	* libgnomeprint/gnome-fontmap.h (GPFontEntry): add ->is_alias
	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry): initialize
	->is_alias to FALSE
	(fcpattern_to_gp_font_entry_alias): set ->is_alias to TRUE
	* libgnomeprint/gnome-font-family.c (gnome_font_family_style_list):
	don't add fonts that are aliases to family list. Parcially fixes
	#103436 and fixes #103857.

	* post release version bump to 2.1.10

2003-01-19  Chema Celorio  <chema@celorio.com>

	* 2.1.9 here we go

2003-01-18  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-pdf-t1.c (gnome_print_pdf_t1_determine_lengths_pfa):
	g_warn rather than g_print if the font could not be parsed 

	* libgnomeprint/gnome-fontmap.c (gp_fontmap_add_aliases): Don't
	use FC_STYLE when creating aliases. We where not generating the
	aliases for Italic correcly because of a bug in fontconfig
	[http://fontconfig.org/cgi-bin/bugzilla/show_bug.cgi?id=11]

	* libgnomeprint/gnome-print-pdf-t1.c (gnome_print_pdf_t1_embed):
	size of Length2 needs to consider EOL (+2)

	* libgnomeprint/gnome-print-encode.c (hex_2_dec): decode uppercase
	hex streams as well.

2003-01-18  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/gpa/gpa-config.c (gpa_config_printer_modified):
	remove a debugging g_print
	* libgnomeprint/gnome-print-pdf-tt.c (gnome_print_pdf_tt_embed):
	same here

	* libgnomeprint/gp-gc.c (gp_ctx_new): Initialize a new context
	with "Sans Regular" not "Helvetica"

	* tests/fonts.c (my_config_load_from_file): add a header to the
	catalog. Load configuration from catalog.GnomePrintConfig so
	that we can set things like the paper size. Add a --max option
	to limit the number of fonts to include in the catalog.

2003-01-17  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_close): don't
	output Orientation in setpagedevice, should be used for roll-fed
	media only. ([1] Section 6.2.2, Pag 426.)
	(gnome_print_ps2_close): %%Orientation doesn't support 'Reverse'
	orientations, only 'Portrait' & 'Landscape'.
	(gnome_print_ps2_close): remove 3 fixme's.
	- %%DocumentData is not needed because, we don't use BeginData & EndData
	- a question weather to use ps %%LangugeLevel or %%Extensions, probably
	based on a comment of [2] Section 5.1 page 41. However, it is safe to
	assume that our documents are going to be consumed by a Level2 interpreter
	([2] was written in 1992)
	- %%BoundingBox had a fixme, however we are already including a
	BoundingBox.

	* libgnomeprint/gnome-rfont.c (grf_ensure_slot_bbox): plug a leak
	reported in #103743

2003-01-17  Paolo Maggi  <maggi@athena.polito.it>

	* libgnomeprint/gpa/gpa-config.c (gpa_config_from_string):
	free "child_id" in all cases
	
	* libgnomeprint/gpa/gpa-root.c (gpa_init): free "file"

	* libgnomeprint/gpa/gpa-settings.c (gpa_settings_finalize):
	free "settings->name"

2003-01-16  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in : Added Amharic (am), Arabic (ar), Greek (el),
	 Latvian (lv) to $ALL_LINGUAS.

2003-01-15  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-pdf-private.h: fix #103046

2003-01-14  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry):
	fix #102400

	* libgnomeprint/gnome-print-unit.c (gnome_print_unit_copy): fix
	103371 again

2003-01-14  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/gnome-print-job.c (gnome_print_job_get_page_size):
	(gnome_print_job_get_page_size_from_config): 
	* libgnomeprint/gnome-print-config.c (gnome_print_config_get_page_size):
	Fix the second half of #103464.
	gnome_print_job_get_page_size_from_config should not be used, it is replaced
	by gnome_print_config_get_page_size. Additionally we have
	gnome_print_job_get_page_size which takes a job as an argument (the previous
	call was gnome_print_job but took a config as the first arg.)

	* tests/fonts.c (generate_catalog): use the new call

	* libgnomeprint/gnome-print-job.c (gnome_print_job_get_page_size_from_config):
	Fix the first part of #103464

2003-01-14  Chema Celorio  <chema@celorio.com>
	
	* post release version bump to 2.1.9

2003-01-14  Chema Celorio  <chema@celorio.com>
	
	* 2.1.8 here we go

2003-01-12  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* libgnomeprint/Makefile.am (SUBDIRS): Build here (.) before
	building dynamic modules, since they now need to link to
	libgnomeprint.

	* libgnomeprint/transports/Makefile.am: link the dynamic modules
	with libgnomeprint itself, since that is required for the Python
	bindings.

	* libgnomeprint/modules/cups/Makefile.am: idem.

2003-01-13  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-rfont.h: fix a parameter name to avoid a
	warning when building the docs

	* libgnomeprint/modules/cups/gnome-print-cups.c: fix
	#102938

	* libgnomeprint/gnome-print-config.[ch]: 
	* libgnomeprint/gnome-glyphlist.[ch]: 
	* libgnomeprint/gnome-print-unit.[ch]: expose GType for python bindings,
	parcially fixes #103371. Code from: Gustavo J. A. M. Carneiro
	<gustavo@users.sourceforge.net>

2003-01-13  Chema Celorio  <chema@celorio.com>
	
	* tests/fonts.c: implement --catalog

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_set_font_real):
	when comparing if the size is the same as the one set use the '=='
	operator as '=' was causing problems

	* libgnomeprint/gnome-fontmap.c (gp_fontmap_get): don't reload the
	fontmap, this was causing PS jobs with fonts embeded more than once
	since the fontmap will refresh and GnomeFontFace will be loaded again

	* libgnomeprint/gnome-font-face.c: 
	* libgnomeprint/gnome-fontmap.h: 
	* libgnomeprint/gnome-fontmap.c: 
	* libgnomeprint/gnome-font-private.h: move ->psname from the entry
	to GnomeFontFace, since we need to load the freetype face to know it

2003-01-09  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-encode.c (gnome_print_encode_hex):
	make sure we always have a newline at the end of the out buffer

	* libgnomeprint/gnome-font-face.c (gnome_font_face_ps_embed_tt):
	conver to ascii the TTF by blocks of 1024, avoid save locale,
	va_args_start/end, restore locale for every byte. Big speed improvement.
	(use print_sized rather than _sprintf)
	(gf_pso_print_sized): create from code in _sprintf
	(gf_pso_sprintf): use print_sized

2003-01-06  Chema Celorio  <chema@celorio.com>

	* configure.in: post release version bump

2003-01-06  Chema Celorio  <chema@celorio.com>

	* 2.1.7 here we go

2003-01-06  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gpa/gpa-key.c (gpa_key_set_value): handle the
	option type KEY in the same way as TYPE_STRING is handled

	* libgnomeprint/gnome-print-pdf-t1.c: make the buffer part
	of the GnomePrintPdfT1Font structure, remove ->buf & ->buf_size
	this makes .pfa T1 font embeding work again

2003-01-06  Chema Celorio  <chema@celorio.com>

	because of the size of this commit, I uploaded it to:
	http://www.gnome.org/~chema/libgnomeprint_big_clean.diff
	** NOTE**: there are _very_ little code changes
	
	* libgnomeprint/gnome-print-multipage.[ch]: deprecate
	gnome_print_multipage_new_from_sizes

	* libgnomeprint/gnome-glyphlist-private.h: GGLInfoType remove
	GGL_PUSHCP & GGL_POPCP as they where not being used.

	* libgnomeprint/gnome-print-meta.[ch]: removed gnome_print_meta_new_local
	change the rest to use the non _new_ version.

	* libgnomeprint/Makefile.am (SUBDIRS): remove the drivers
	subdirectory, since we are not using them.
	- remove gnome-print-rbuf-private.h
	- remove libgnomeprint-marshal-main.c

	* configure.in: remove the OMNI checking code since we are
	not using it.

	* all other files:
	- *NO* code changes
	- removed ifdef code, code between: #if 0, #ifdef ALLOW_BROKEN_PGL,
	  #ifdef ENABLE_MODULE_DRIVERS, #if GNOME_PRINT_ENABLE_PAGE_CALLBACKS
	  #ifdef SMOKING_LOTS_OF_CRACK, is gone. Some of the #ifdef VERBOSEes are
	  gone too.
	- standarized the .h files, copyright notice, order of things
	  #define __FOO_H__ , #inlcuding of other headers, etc
	- Moved documentation from the .h files into the .c files in
	  gtk-doc format
	- Added to some sunctions documentation in gtk-doc format
	- removed #define __FOO_C__
	- inlcude files with <libgnomeprint/foo.h> not with "foo.h"
	- coding style & indentation fixes
	- typos
	- removed casting macros of Classes that should not be subclassed
	- Document structure members in a consistent manner
	
	* gnome-print-bonobo.[ch], gnome-print-bonobo-client.[ch]: remove as they
	are not used (yet)

2003-01-06  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gpa/gpa-utils.h (__PRETTY_FUNCTION__): define for
	  non __GNUC__ compilers. Fixes: #101414

2003-01-04  Sami Pesonen  <sampeson@iki.fi>

	* configure.in: Added Finnish to ALL_LINGUAS

2003-01-03  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print.c (gnome_print_buffer_munmap) implement
	(gnome_print_buffer_mmap): implement
	Move all the mmaps into one function.

	* libgnomeprint/gnome-print-pdf-tt.c: use here 
	* libgnomeprint/gnome-print-pdf-t1.c: ditto
	* libgnomeprint/gnome-font-face.c: ditto

2003-01-03  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-pdf-t1.c: fix so that .pfa fonts work too. don't
	malloc the whole font, mmap it. Cleaned the code.

	* libgnomeprint/gnome-print-pdf-private.h: _t1_embed and _tt_embed now return
	the object number used, rather than get passed it. In case embeding fails, we
	would not have asked for an object number which we didn't usedo

	* libgnomeprint/gnome-print-encode.c (gnome_print_decode_hex): change in_size
	from gint to gint* to return the size of in that we decoded.

	* libgnomeprint/gnome-font-face.c (gnome_font_face_ps_embed_t1): fix a crash,
	we where malloc'ing one byte less than what we needed

	* libgnomeprint/Makefile.am: remove gnome-print-encode-private, deprecate header
	and move contents into gnome-print-encode.h

2002-12-30  Chema Celorio  <chema@celorio.com>

	* tests/run-test.pl: run acroread4 and acroread5 to test pdf files

	* tests/gpa-test.c: update. things have changed a lot inside gpa for the tests
	to pass. disabled some tests.

	* tests/fonts.c: update to the new fontmap structures

	* tests/Makefile.am (EXTRA_DIST): we where not shipping run-test.pl & quit.txt

	* tests/tools/pdfcheck.c: be more anal about pdf files.

	* libgnomeprint/gpa/gpa-reference.c (gpa_reference_set_value): implement
	(gpa_reference_new_emtpy): implement
	(gpa_reference_new): use _emtpy here. make @id required param.

	* libgnomeprint/gpa/gpa-node-private.h: update the signature of the
	modified signal of GPANode, we don't use the flags anymore

	* libgnomeprint/gpa/gpa-config.h: remove _set_printer. Use gpa_node_set_path_value to
	set the printer now.

	* libgnomeprint/gpa/gpa-config.c (gpa_config_printer_modified): implement, listen
	to selected printer changes and update ->setttings accordingly
	(gpa_config_verify): use _return_false_if_fail macro to verify GPAConfig
	(gpa_config_new_full): references are created in _init now, don't create them here
	just set the nodes in them
	(gpa_config_set_printer): remove

	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry): check that
	the font we are loading is an outline font as those are the only ones
	supported.

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_set_font_real): no need
	to handle TYPE1_ALIAS

	* libgnomeprint/gnome-print-pdf-t[1t].c: remove the GPFEntry type specific code
	we handle all fonts with the same struct now.

	* libgnomeprint/gnome-fontmap.h: remove GPFontEntryT1Alias,
	GPFontEntrySpecial, GPFontEntryT1, GPFontEntryTT, GP_FONT_ENTRY_TYPE1_ALIAS & _SPECIAL
	handle all fonts with the same GPFonEntry struct

	* libgnomeprint/gnome-font-face.c: remove code to handle T1_ALIAS
	and _SPECIAL font entries. Remove defaultsdict code.
	* libgnomeprint/gnome-fontmap.c: here too

2002-12-30  Chema Celorio  <chema@celorio.com>

	* configure.in: post release version bump to 2.1.7

2002-12-29  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gpa/gpa-root.h: no need for global_options
	to be globaly visible. Rename 'root' to 'gpa_root' to avoid
	variable name clashes.

	* libgnomeprint/gpa/gpa-node.c (gpa_node_lookup): use gpa_root

2002-12-29  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/modules/cups/gnome-print-cups.c: varialbe renaming
	and added a cast to gpa_printer_new to update to it new prototype

	* libgnomeprint/gpa/Makefile.am: install the .h files
	into libgnomeprint/private, remove gpa-value.
	Define #GPA_MODULE_DIR (rather than using GNOME_PRINT_MODULE_DIR)

	* libgnomeprint/gnome-print-paper.c (gnome_print_papers_load): rename
	the globals varialbe to config, since that is what it is

	* libgnomeprint/gnome-print-job.h: cosmetic changes 
	* libgnomeprint/gnome-print-config.h: 

	* libgnomeprint/gnome-print-job.c (gnome_print_config_get_layout_data):
	Layout is part of Document.Page update lookup call

	* libgnomeprint/gnome-print-config.c (gnome_print_config_from_string) 
	(gnome_print_config_to_string): add some argument checks

	* libgnomeprint/Makefile.am: add gnome-print-config-private.h

	* libgnomeprint/gpa/gpa-*.c: more cleanup 

2002-12-28  Chema Celorio  <chema@celorio.com>

	* data/globals.xml.in: add the paper sizes missing

2002-12-28    Christian Rose  <menthos@menthos.com>

	* data/globals.xml.in: String change. Fixes #102022.

	* data/printers/PDF-WRITER.xml.in: String change. Fixes #102021.

2002-12-27  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-font-face.c (gff_load_metrics): #Fix: 98846
	"Affines sometimes get mangled with gnome-canvas-hacktext item"
	by Jim Evins <evins@snaught.com> by loading glyphs with
	FT_LOAD_IGNORE_TRANSFORM

2002-12-24  Cheam Celorio  <chema@celorio.com>

	* tests/gpa-test.c: udpate

	* libgnomeprint/modules/cups/gnome-print-cups.c: update the "Fill"
	nodes to the new locations of the nodes.
	(get_model): return GPAModel * type

	* libgnomeprint/gpa/Makefile.am: remove gpa-globals.c

	* libgnomeprint/gnome-print-job.c (gnome_print_config_get_layout_data): read
	Layout from Global.Layout.Plain
	(gnome_print_config_get_layout_data): reset the prev. locale on failure

	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry):
	remove the warning when the extension can't be recognized. We
	should avoid knowing the fonttype until we are about to embed
	it (i.e. FT_Face is loaded). Filed bug #101893 as a reminder.

	* data/globals.xml.in: add with <_Name> nodes marked for
	translation
	* data/media.xml: remove from cvs, info is now in globals.xml
	* data/models & data/printers: Mark xml files for translation
	move to .xml extension to make Intltool happy
	
	* data/Makefile.am: translate globals.xml

	* configure.in: call AC_PROG_INTLTOOL

	* Makefile.am: add the intltool- to EXTRA_DIST

	* libgnomeprint/gpa/gpa-*.[ch]: more code refactoring

2002-12-22  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gpa/gpa-model.c (gpa_model_new_from_tree): pass
	model as the parten argument of the options

	* libgnomeprint/gpa/gpa-globals.[ch]: start building it up

	* libgnomeprint/Makefile.am: s/gpa-media/gpa-globals

	* data/globals.xml: start to shape it up

	* data/Makefile.am: remove GNOME.vendor, rename media.xml to globals.xml

	* tests/gpa-test.c (test_gpa_list): "Vendors" is deprecated, don't test
	it anymore

	* libgnomeprint/gnome-print-config.c (gnome_print_config_from_string):
	return something useful
	(gnome_print_config_to_string): let gpa make something useful out of
	the string

	* libgnomeprint/gpa/gpa-*.[ch]): major code cleanup
	
	* data/printers/PDF-WRITER.printer: use a better name for the printer
	* data/printers/GENERIC.printer: here too

	* data/models/GNOME-GENERIC-PS.model: remove the Resolutions node
	* data/models/GNOME-PDF-WRITER.model: same here

2002-12-21  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gpa/gpa-list.[ch](gpa_list_reverse): implement
	* libngomeprint/gpa/gpa-list.c cleaunp the .DefaultChild hack

	* libgnomeprint/gpa/gpa-node-private.h (GPA_NODE_ID): check if
	n exists, if not return NULL

	* libgnomeprint/gnome-print-paper.c (gnome_print_papers_load): use
	gpa_config_new instead fo gpa_defaults (which will die soon)

	* data/ remove unused files

	* libgnomeprint/gnome-print-config.c (gnome_print_config_from_string):
	template for function
	(gnome_print_config_to_string): ditto
	(gnome_print_config_default): use gpa_config_new rather than gpa_defaults ()

2002-12-17  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/transports/gp-transport-custom.c (gp_transport_custom_construct):
	return GNOME_PRINT_OK on success

	* Removed ChangeLog from libgnomeprint/gpa/ and backed it up
	into 0ChangeLog.gpa.2002-12-17. Gpa ChangeLog entries will go
	here as of right now.

2002-12-17  Chema Celorio  <chema@celorio.com>
	
	* configure.in: post release version bump to 2.1.6

2002-12-17  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/modules/cups/gnome-print-cups.c (get_model): lookup
	the model by_id before creating it since it might already exist

2002-12-16  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-font-face.c (gff_load): Fix #80409
	by williamp@multiverse.com

	* libgnomeprint/gnome-print-pdf.c: fix #101208
	(my_fix_drect): fix #88169

	* configure.in: fix #101378

	* libgnomeprint/gnome-print-job.c (gnome_print_job_close) warn if the
	job is closed more than once
	(gnome_print_job_print): warn if the job has not been closed

	* libgnomeprint/Makefile.am (nox_headers): install the glyphlist-private
	header needed by libgnomeprintui

	* libgnomeprint/gnome-print.c (gnome_print_context_construct): make
	retval start off with GNOME_PRINT_OK since the construct method is
	not required. This makes print preview work again.

2002-12-16  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/modules/cups/gnome-print-cups.c (append_printer): unlink
	the ppd after use

	* libgnomeprint/modules/cups/gnome-print-cups-transport.c (get_job_options):
	set a job option (InputSlot), more to follow in a generic way.
	(gp_transport_cups_close): get options before printing

2002-12-16  Dave Camp  <dave@ximian.com>

	* libgnomeprint/modules/cups/gnome-print-cups-transport.c (gp_transport_cups_close):
	set the job title.
	* libgnomeprint/modules/cups/gnome-print-cups-transport.c (gp_transport_cups_construct):
	use "Printer" v.s. "Settings.Transport.Backend.Printer" to determine
	the cups printer selected.	
	* libgnomeprint/modules/cups/gnome-print-cups.c (get_model):
	implement
	(get_paper_text, get_physical_sizes): implement
	* model_xml_template[]: add the Output, Document & Resolution nodes

2002-12-15  Chema Celorio  <chema@celorio.com>

	* configure.in: post release version bump to 1.2.5

2002-12-15  Chema Celorio  <chema@celorio.com>
	
	* tests/generate.c (my_draw_glyphlist): implement

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_set_font_real): remove mismatched
	unref

2002-12-14  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_object_new): we can't use a static
	gint variable to give out object numbers because it would not match the second time
	printing to PDF is used. do a g_list_lenght to determine the object number

	* libgnomeprint/gnome-glyphlist.c (gnome_glyphlist_unref): plug a leak

	* libgnomeprint/gnome-print-config.c: make GnomePrintConfig a GObject because app developers
	are going to g_object_unref it and it is easy to assume that it should not be unrefed (Happened
	to me more than once and i had made it a boxed type). Don't expose the macros and make
	gnome_print_config_[un]ref work with a GObject. .h file is unchanged

	* libgnomeprint/gnome-print-job.c: more of the s/master/job migration. Call internal GPJ
	variables 'job' v.s. 'gpm'. Same for arguments to functions.
	* libgnomeprint/gnome-print-job.h: 

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_page_fprintf): only realloc
	when we need to grow the buffer. Don't make grow size static because it isn't reset
	on every page, so if every page duplicates the size of grow it ends up being pretty big.
	(gnome_print_pdf_close_write_last_objects): plug a leak, "id".
	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_close): close and unref
	transport.
	
	* libgnomeprint/gnome-print-meta.c: minor coding style change
	* libgnomeprint/gnome-print-ps2.h: same here
	* libgnomeprint/gnome-font.h:
	* libgnomeprint/gnome-font-face.c:
	
	* libgnomeprint/transports/gp-transport-lpr.c (gp_transport_lpr_construct): return
	GNOME_PRINT_OK on success
	* libgnomeprint/transports/gp-transport-lpr.c (gp_transport_lpr_construct): ditto

	* libgnomeprint/gnome-print-transport.c (gnome_print_transport_new_from_module_name):
	plug a leak
	(gnome_print_transport_new_from_module_name): plug a leak

	* tests/generate.c: unref the objects correctly


2002-12-12  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print.c (gnome_print_context_construct): return the
	retval from the construct method rather than GNOME_PRINT_OK all the time
	(gnome_print_context_new): check for NULL after _ps2_new

	* libgnomeprint/gnome-print-transport.c (gnome_print_transport_construct): bubble
	up return codes correctly
	(gnome_print_transport_create): return NULL if _transport_construct didn't returned
	GNOME_PRINT_OK

	* libgnomeprint/gnome-fontmap.c: handle Type1 fonts too.

	* libgnomeprint/gnome-fontmap.h: s/gdouble ItalicAngle/gint italic_angle
	& add Tambet Ingo to Authors

	* libgnomeprint/gnome-font-face.c: s/ItalicAngle/italic_angle

	* tests/fonts.c: handle TrueType as well as Type1 fonts when
	dumping them to the console

2002-12-12  Chema Celorio  <chema@celorio.com>
	
	* tests/run-test.pl: implement arguments to run some specific test.
	If there was a font embeding problem, continue testing the rest
	of the fonts. Implented --help by displaying usage

	* libgnomeprint/gp-tt-t1.c (ttf_strncat): check for NULL on input,
	fixes the crash of #100803

	* libgnomeprint/gnome-font-face.c: fix some function names:
	gnome_font_face_pso_ensure_buffer -> gnome_font_face_ps_embed
	gf_pso_ensure_space               -> gnome_font_face_ps_embed_ensure_size
	gff_pso_ensure_buffer_t1          -> gnome_font_face_ps_embed_t1
	gff_pso_ensure_buffer_tt          -> gnome_font_face_ps_embed_tt
	gff_pso_ensure_buffer_empty       -> gnome_font_face_ps_embed_empty
	* libgnomeprint/gnome-font-private.h: update name
	
	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_close): use the new
	function name to embed a font

2002-12-10  Chema Celorio  <chema@celorio.com>

	* tests/fonts.c: handle crashes when running this binary
	* tests/run-test.pl: stop testing more fonts if a crash is encountered

	* configure.in: Minor cosmetic fix

2002-12-09  Chema Celorio  <chema@celorio.com>

	* configure.in: remove acconfig.h & add third argument to AC_DEFINE[_UNQUOTED] to kill autoheader
	warning about "auxiliary files is deprecated and discouraged"

2002-12-09  Chema Celorio  <chema@celorio.com>
	
	* tests/run-test.pl: Fix the font regression tests to work again
	* tests/fonts.c: 

	* configure.in (cups_msg): Fix #100765, implement the --without-cups option

2002-12-09  Chema Celorio  <chema@celorio.com>

	* configure.in: post release version bump to 2.1.4

2002-12-09  Chema Celorio  <chema@celorio.com>

	* 2.1.3 here we go

2002-12-09  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprint/gnome-fontmap.c (fcpattern_to_gp_font_entry): make sure ->psname does not
	contain spaces, if it does it breaks the .ps & .pdf output
	(fcpattern_to_gp_font_entry_alias): same here

	* tests/run-test.pl (my_check_environment): 

	* tests/fonts.c: - Implement --generate and --generate --pdf to generate
	a page with a font embeded. Implement --number to return the number of fonts
	known to gnome-print (used for ./run-test.pl)

	* tests/run-test.pl (my_check_fonts): check all the installed fonts,
	generate a .ps & .pdf file and run them to check that we generate valid
	output.

	* configure.in: cosmetic changes

	* tests/tools/pdfcheck.c (is_valid_char): underscore is also a valid
	character

2002-12-09  Chema Celorio  <chema@ximian.com>

	* tests/fonts.c (print_font_info): a first stab at --list-full

2002-12-08  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-fontmap.c (gp_fe_sortspecies): speciesname might be NULL, allow
	for sorting when it is so.
	* libgnomeprint/gp_font_entry_from_files: remove, not being used
	
2002-12-07  Chema Celorio  <chema@ximian.com>

	* configure.in (dnl): fix #98608
	(freetype_version): check that the user has the correct freetype version so that
	configure fails before make does. It will stop bug reports like: #91714.

2002-12-04  Chema Celorio  <chema@celorio.com>

	* configure.in: post release version bump to 2.1.3

2002-12-03  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-unit.c: Fix #100258

	* configure.in: fix #80577
	
	* configure.in: (GETTEXT_PACKAGE): should be 2.2 not 2.0 to fix: 100133

	* Makefile.am (SUBDIRS): don't build fonts/ (we don't need it)
	* configure.in: and don't create fonts/Makefile
	
	* acconfig.h: remove the FONTMAP constants, add GNOME_PRINT_DATA_DIR
	* configure.in: ditto
	              : remove installer/Makefile from AC_OUTPUT

	* data/Makefile.am: use a constant for the paths
	* data/printers/Makefile.am: ditto
	* data/models/Makefile.am: 
	
2002-11-19  Chema Celorio  <chema@ximian.com>

	* Makefile.am (SUBDIRS): remove the installer directory since we don't need it anymore.

2002-11-15  Jon K Hellan  <hellan@acm.org>

	* libgnomeprint/libgnomeprint-2.0.pc.in (Libs): Declare zlib
	dependency. (Bug 98476).

2002-11-10  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added da (and de while I was at it) to ALL_LINGUAS.

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-11-01  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2002-11-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-31  Tambet Ingo  <tambet@ximian.com>

	* tests/Makefile.am (SUBDIRS): Added build instructions for new test called fonts.c

	* libgnomeprint/drivers/Makefile.am: s/libexec/plugin/

	* libgnomeprint/transports/Makefile.am: ditto.

	* configure.in: Add checks for fontconfig.

	* libgnomeprint/gnome-fontmap.c: Use fontconfig to get fonts.

2002-10-29  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-print-multipage.c (gnome_print_multipage_fill) :
	  remove duplication of filled paths. (Bug 96960)

2002-09-18  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/Makefile.am (libgnomeprintincdir): fix the second part of #93271

	* libgnomeprint/gnome-print-transport.c (gnome_print_transport_printf): loc should not be
	const

	* libgnomeprint/gnome-print-config.c (gnome_print_config_get_type): implement.
	Fixes first half of #93271

2002-09-14  Chema Celorio  <chema@ximian.com>

	Use setlocale correctly in :
	
	* libgnomeprint/gnome-print-transport.c (gnome_print_transport_printf): 
	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_fprintf): 
	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_page_fprintf): 
	(gnome_print_pdf_fprintf): 
	* libgnomeprint/gnome-print-config.c (gnome_print_config_get_int): 
	(gnome_print_config_get_double): 
	(gnome_print_config_get_length): 
	(gnome_print_config_set_int): 
	(gnome_print_config_set_double): 
	(gnome_print_config_set_length): 
	* libgnomeprint/gnome-font-face.c (gnome_font_face_find_closest): 
	(gf_pso_sprintf): 

2002-09-05  Carlos Perello Marin <carlos@gnome-db.org>

	* doc/reference/*: Removed question_index.sgml. We are using other
	DTD != than gtk one and this file was stolen from gtk. The information
	inside it is null so we can just remove it.

2002-09-03  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/modules/cups/gnome-print-cups.c: add missing include to avoid a warning

	* libgnomeprint/Makefile.am: add $_DISABLE_DEPRECATED

	* libgnomeprint/gnome-print-config.[ch]: cosmetic fixes 

2002-09-02  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/libgnomeprint-2.0.pc.in (Requires): add gobject & gmodule, remove bonobo

2002-08-31  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-print-master.c: Include gpa-node.h and not gpa-private.h (Changed in gpa)

	* configure.in: change the order of things to match libgnomeprintui

	* libgnomeprint/gnome-print-stdapi.c (gnome_print_arcto): change parameter from r to
	radius to avoid the documentation complaning about it

2002-09-01  Marius Andreiana <mandreiana@yahoo.com>

	* configure.in: added 'ro' to ALL_LINGUAS

2002-08-30  Chema Celorio  <chema@ximian.com>

	* configure.in (FONTMAPDIR_STATIC): use {datadir} v.s. {prefix}/share and eval it's value
	same for _DYNAMIC AND GNOME_PRINT_MODULES_DIR

2002-08-29  Chema Celorio  <chema@ximian.com>

	* tests/Makefile.am (gpa_test_LDADD): remove ; from it, spotted my gmorten

2002-08-29  Jody Goldberg <jody@gnome.org>

	* configure.in : minor tweak to add an autoconf 2.52 prereq to work
	  around broken handling of GNOME_PRINT_MODULES_DIR_var in 2.13.

2002-08-29  Chema Celorio  <chema@ximian.com>

	* configure.in (modules_dir): remove _var from GNOME_PRINT_MODULES_DIR

	* *.c: add #include "config.h" to all c files
	
	* tests/tools/xmlfix.c (my_xmldoc_copy): remove warnings

	* Makefile.am: don't define variables that are changed in prefix in Makefiles, define them in
	config.h so that when the prefix is changed, the files are rebuilt with make.

	* acconfig.h: add GPA_MODULES_DIR, GNOME_PRINT_MODULES_DIR, FONTMAPDIR_STATIC, FONTMAPDIR_DYNAMIC
	* configure.in: define them here

2002-08-28  Chema Celorio  <chema@ximian.com>

	* autogen.sh: an autogen.sh that works for the compiler flags and mydistcheck

2002-08-28  Chema Celorio  <chema@ximian.com>
	
	* libgnomeprint/gnome-rfont.c (gnome_font_get_rfont): replace the #warning with /* FIXME: ... */

	* libgnomeprint/gnome-print.c: wrap the callbacks stuff in #ifdef GNOME_PRINT_ENABLE_PAGE_CALLBACKS
	and the module drivers in GNOME_PRINT_ENABLE_MODULE_DRIVERS
	* libgnomeprint/gnome-print.h: same 
	* libgnomeprint/gnome-print-meta.c: same

	* libgnomeprint/gnome-print-i18n.h: Add the i18n macros here, self contained

	* libgnomeprint/gnome-print-i18n.c: include glib.h.

	* configure.in: remove bonobo from the pkg_config list, we should add a flag for the callback stuff
	that should enable this.

	* libgnomeprint/gnome-font-face.c (gnome_font_face_finalize): change the #warning
	to /* FIXME */

2002-08-27  Chema Celorio  <chema@ximian.com>
	
	* libgnomeprint/gnome-print-master.c (gpm_parse_config_data): if no layout can be found
	set up one affine as the identity and num_affines as 1

	* libgnomeprint/modules/cups/gnome-print-cups.c: first stab at it. Worksforme.
	* libgnomeprint/modules/cups/gnome-print-cups-transport.c: ditto

	* libgnomeprint/gnome-print-transport.c (gnome_print_transport_new): reorg a bit
	(gnome_print_transport_new_from_module_name): load non-transport specific modules too (for cups)

	* libgnomeprint/gnome-print-module.h: define GPAModuleInfo

	* libgnomeprint/gnome-print-config.c (gnome_print_config_dump): pass 2 to
	gpa_utils_dump_tree, API change.

	* configure.in: cosmetic changes

2002-08-27  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-print.c (gnome_print_context_new): reorg a bit, #if 0 untested code

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_close): check if orientation is NULL before strcmp

	* data/media.xml: fix #90791

2002-08-28  Akira TAGOH  <tagoh@redhat.com>

	* libgnomeprint/gp-tt-t1.c (ttf2pfa): fixed some codes the invalidfont
	error may be caused on PostScript interpreter. (#90825)

2002-08-26  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-print-master/rbuf/paper.c: s/gpa_node_get_path_node/gpa_node_get_child_from_path/g

2002-08-25  Chema Celorio  <chema@ximian.com>

	* tests : add Makefile.am for the SUBDIRS so that make clean and make dist work correctly.

	* libgnomeprint/drivers/Makefile.am: install to GNOME_PRINT_MODULES_DIR/drivers &
	WE_ARE_LIBGNOMEPRINT_ s/UI/INTERNALS

	* libgnomeprint/gnome-print.c (gnome_print_context_new): if drivername is NULL, default to gnoem-print-ps
	(gnome_print_context_new): load modules from GNOME_PRINT_MODULES_DIR

	* libgnomeprint/gnome-print-transport.c: change the code structure a bit, the same functionality

	* libgnomeprint/gnome-print-private.h: WE_ARE_LIBGNOMEPRINT_ s/UI/INTERNALS

	* libgnomeprint/gnome-print-module.h: add to cvs, not used yet on commited stuff.

	* libgnomeprint/gnome-print-meta.c: we don't need the gnome-print-private.h

	* libgnomeprint/gnome-print-master.c (gnome_print_config_get_layout_data): if the printer does not have
	a layout tree, fetch it form the Globals node

	* libgnomeprint/Makefile.am :  add gnome-print-module.h. Define WE_ARE_LIBGNOMEPRINT_INTERNALS rather
	that _UI, define GNOME_PRINT_MODULES_DIR

	* data/media.xml: fix indentation

	* configure.in: add LTDL_SHLIBEXT to fetch the system dynamic libraries extension
	(have_cups): add a check for CUPS library
	(modules_dir): define GNOME_PRINT_MODULES_DIR, TOOLS_CFLAGS & TOOLS_LIBS

	* acconfig.h: add GNOME_PRINT_MODULES_DIR

2002-08-25  Chema Celorio  <chema@ximian.com>
	
	* configure.in (LIBGNOMEPRINT_LIBS): remove the conditional to test for
	gcc since we don't use -Werror anymore
	* bump version to 1.120.0

	* tests/Makefile.am: remove -Werror

2002-08-19  Gustavo Noronha Silva  <kov@debian.org>

	* configure.in: added pt_BR to ALL_LINGUAS (Brazilian)

2002-07-21    <chema@celorio.com>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_font_print_descriptor): if
	the font embeding fails, don't generate an invalid PDF, just don't embed the font
	(gnome_print_pdf_close_write_last_objects): work around a bug in ghostscript when
	our EOL is "\n" instead of v.s. "\r\n". So we can now use both variants of EOL

2002-07-15  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_beginpage): we
	don't need to clip the page since PDF pages have a CropBox
	(defautls to MediaBox if not present)

	* libgnomeprint/gnome-print.c (gnome_print_beginpage): Allow to
	have NULL as the page name in which gnome-print will assign the
	page number as the page name;

2002-07-15  Chema Celorio  <chema@ximian.com>
	
	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_glyphlist): new
	encoding method
	(gnome_print_pdf_write_fonts): write the fonts at the end of the
	job
	(gnome_print_pdf_font_print_lastchar): new func.
	(gnome_print_pdf_font_print_widths): write at the end of the job
	(gnome_print_pdf_font_print_encoding): write at the end of the job
	(gnome_print_pdf_set_font_real): don't write the font since we
	don't know how many glyphs we are going to use.

	* libgnomeprint/gnome-print-pdf-private.h: add members to the
	GnomePrintFont structure needed for our new encoding scheme

2002-07-14  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-print-pdf.c (my_fix_drect): work around
	Freetype giving us invalid sizes for the font BBox. Filed a bug in
	bugzilla to find the real cause of this bug.

2002-07-14  Chema Celorio  <chema@ximian.com>
	
	* installer/gnome-font-install.c (gfi_write_fontmap): save the
	fontmaps with indentation.

	* configure.in: bump the requirements of libxml 2.4.23 so that we
	can use the new xmlDocFormatDump and make fontmaps a bit more
	human readable

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_set_font_real):
	ref the font->face since we keep a pointer to it, we where already
	unrefing it.
	(gnome_print_pdf_font_print_widths): start on glyph 0, and check
	for < num_glyphs not <=

	* libgnomeprint/gnome-font-face.c
	(gnome_font_face_get_glyph_ps_name): change the indentation.

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_set_font_real):
	don't loop forver when we use more than two fonts.

2002-07-14  Chema Celorio  <chema@ximian.com>
	
	* libgnomeprint/gnome-print-pdf-tt.c (gnome_print_pdf_tt_embed):
	we where missing by one the stream lenght.

	* libgnomeprint/gnome-print-pdf.c
	(gnome_print_pdf_font_print_encoding): add a dummy /BaseEncoding
	key so that ghotscript can parse our PDF files.

2002-07-13  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-print-pdf.c (gnome_print_pdf_image): don't
	add 10 to the stream lenght! duh.
	(gnome_print_pdf_page_write_resources): add a /Font object only
	when we actually have fonts

2002-07-10  Chema Celorio  <chema@ximian.com>

	s/gp-fontmap.[ch]/gnome-fontmap.[ch]
	* libgnomeprint/gp-fontmap.[ch]:
	* libgnomeprint/gnome-font-face.c: 
	* libgnomeprint/gnome-font-family.c: 
	* libgnomeprint/Makefile.am :
	* libgnomeprint/gnome-font-private.h: 

2002-07-06  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-print-frgba.c (gpf_render_buf): fix
	indentation

	* libgnomeprint/transports/gp-transport-file.c
	(gp_transport_file_finalize): when finalizing check if tf->fd !=
	-1 rather than 0.

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_close): g_free ps2->bufname
	(gnome_print_ps2_close): unref the transport when done using it.

2002-06-25  Yukihiro Nakai <nakai@gnome.gr.jp>

	* configure.in: (ALL_LINGUAS) Added Japanese (ja).

2002-06-16  Yanko Kaneti  <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-06-15  Chema Celorio  <chema@ximian.com>

	* tests/run-test.pl: do a lot more now, more tests are done as
	well as a sanity check and run-time deps checking.
	* tests/generate.c: more progress

	* add to test/files
	- good.ps, a known to be valid Postscript file
	- bad.ps a knonw to be invalid Postscript file
	- pdf_good.pdf & pdf_bad.pdf ditto
	- quit.txt a file with "quit" to be piped into gs to make it exit 
	  after rendering
	- *.gnumeric. some old gnumeric files used for fonts tests, they were
	  moved here but i think we are not going to use them.

	* libgnomeprint/gnome-print.c (gnome_print_context_new): add the
	pdf hook

	* libgnomeprint/gnome-print-unit.c: Don't include
	<gpa/gpa-node.h>, not needed

	* libgnomeprint/gnome-print-ps2.h: minor cosmetic changes

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_set_color_real): rename
	g_p_ps2_set_color/font_private to _real
	- Fix indentation
	- Minor cosmetic changes.

	* libgnomeprint/gnome-print-pdf.h: add
	* libgnomeprint/gnome-print-pdf.c: add
	* libgnomeprint/gnome-print-pdf-tt.c: add
	* libgnomeprint/gnome-print-pdf-t1.c: add
	* libgnomeprint/gnome-print-pdf-private.h: add

	* libgnomeprint/gnome-print-meta.c: fix indentation

	* libgnomeprint/gnome-print-master.c
	(gnome_print_config_get_layout_data): add a warning if we can't
	get a layout from GnomeConfig.

	* libgnomeprint/gnome-font-private.h: s/GFPSObject/GnomeFontPsObject

	* libgnomeprint/gnome-font-face.c: remove unused
	declarations. Rename the GFPSObject to GnomeFontPsObject, is more
	clear.
	(gnome_font_face_finalize): if def an g_assert that the PDF driver
	is triggering.  Added a #warning about this.

	* libgnomeprint/Makefile.am: add the pdf files

	* data/printers/PDF-WRITER.printer: add

	* data/models/GNOME-PDF-WRITER.model: add the Document leaf

	* data/GNOME.vendor: enable the PDF backend again

2002-06-15  Chema Celorio  <chema@ximian.com>
	
	* libgnomeprint/gp-tt-t1.c: Fix:
	http://bugzilla.gnome.org/show_bug.cgi?id=77182
	by Akira TAGOH. Fix indentation of gp-tt-t1.c too.

2002-06-14  Carlos Perello Marin <carlos@gnome-db.org>

	* doc/reference/Makefile.am: Added extra files to be distributed
	at make dist and changed some libgnomeui references to
	libgnomeprint.

2002-06-07  Chema Celorio  <chema@ximian.com>

	* configure.in: post release bump to 1.116.0

	* released 1.115.0

2002-06-05  jacob berkman  <jacob@ximian.com>

	* tests/generate.c: don't use popt macros not in popt 1.5 (fix
	solaris build)

	* libgnomeprint/gnome-print-meta.c:
	* libgnomeprint/gpa/gpa-printer.c:
	* libgnomeprint/gpa/gpa-vendor.c: include <sys/types.h>

	* libgnomeprint/gpa/gpa-settings.c:
	* libgnomeprint/gpa/gpa-key.c: remove malloc.h includes

	(build fixes for os x)

2002-06-04  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gp-truetype-utils.c (gp_tt_split_glyf): apply
	patch from <williamp@multiverse.com> to fix #80413

	* tests/generate.c (my_draw_circle): new

2002-06-03  Chema Celorio  <chema@ximian.com>

	* doc/reference/libgnomeprint-sections.txt: remove unused sections

	* libgnomeprint/gnome-print-ps2.c: a little bit of cleaning. Fix
	indentation and some variable namings

2002-06-02  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-print-ps2.c: remove GnomepPrintPs2->level as
	it was not beeing used.

	* libgnomeprint/gnome-print-stdapi.c (gnome_print_arcto): change
	parameter from r to radius so that the documentation won't break.

	* doc/reference/libgnomeprint-sections.txt: remove unused sections

	* autogen.sh: don't run configure twice

	* update dumentation standarize the gpa- headers and remove
	#if-0ed code in them

2002-06-02  Carlos Perelló Marín <carlos@gnome-db.org>

	* doc/reference/question_index.sgml, doc/reference/reference.sgml:
	Added more info about gnome-print resources. Now is time to
	document all API and fill more useful information here :-).

2002-06-02  Carlos Perelló Marín <carlos@gnome-db.org>

	* doc/reference/libgnomeprint-docs.sgml: Removed the link to
	the running section.
	* doc/reference/running.sgml: Removed, we don't need it with
	gnomeprint
	
2002-06-02  Carlos Perelló Marín <carlos@gnome-db.org>

	* doc/reference/compiling.sgml: Added the compiling section.

2002-06-02  Chema Celorio  <chema@ximian.com>

	* autogen.sh: run configure --enable-gtk-doc after autogen.sh to
	try to make the tinderbox not break.

	* libgnomeprint/gnome-font.c (gnome_font_get_width_utf8_sized): 
	(gnome_font_get_width_utf8): add back, it broke other apps.
	You should not be using this functions as they are layout agnostic
	and thus will not work well with non-western scripts

2002-06-02  Malcolm Tredinnick <malcolm@commsecure.com.au>
	* doc/reference/tmpl/.cvsignore: Ignore any future appearance of
	  libgnomeprint-unused.sgml

	* doc/reference/Makefile.am: Make the docs build properly.
	  Ignore private header files, don't require *-overrides.txt.

	* doc/reference/libgnomeprint-docs.sgml: Remove all references
	  to *-private entities. Comment out entities that would result
	  in empty templates (and hence cause gtk-doc to break).

	* doc/reference/libgnomeprint-sections.txt: Fresh commit with
	  all the crufty stuff removed.

	* doc/reference/tmpl/gnome-font-face.sgml,
	  doc/reference/tmpl/gnome-font.sgml,
	  doc/reference/tmpl/gnome-glyphlist.sgml,
	  doc/reference/tmpl/gnome-pgl.sgml,
	  doc/reference/tmpl/gnome-print-master.sgml,
	  doc/reference/tmpl/gnome-print-rbuf.sgml,
	  doc/reference/tmpl/gnome-print-unit.sgml,
	  doc/reference/tmpl/gnome-print.sgml,
	  doc/reference/tmpl/gnome-rfont.sgml,
	  doc/reference/tmpl/gpa-list.sgml: Just committing these to
	  make gtk-doc be a bit quieter.

	* doc/reference/libgnomeprint-overrides.txt,
	  doc/reference/tmpl/gnome-font-private.sgml,
	  doc/reference/tmpl/gnome-glyphlist-private.sgml,
	  doc/reference/tmpl/gnome-pgl-private.sgml,
	  doc/reference/tmpl/gnome-print-encode-private.sgml,
	  doc/reference/tmpl/gnome-print-private.sgml,
	  doc/reference/tmpl/gnome-print-master-private.sgml,
	  doc/reference/tmpl/gnome-print-rbuf-private.sgml,
	  doc/reference/tmpl/gpa-node-private.sgml,
	  doc/reference/tmpl/gp-gc-private.sgml,
	  doc/reference/tmpl/gpa-private.sgml,
	  doc/reference/tmpl/gnome-font-compat.sgml,
	  doc/reference/tmpl/libgnomeprint-unused.sgml: Removed. None of
	  these are required any longer.

2002-06-01  Chema Celorio  <chema@ximian.com>

	* Makefile.am (mydistcheck): steal mydistcheck from gtk+

2002-06-01  Chema Celorio  <chema@ximian.com>
	
	* libgnomeprint/gnome-rfont.h: expose the gnome_rfont_render_pgl_rgb[a]8
	and gnome_pgl_render_rgbp[a]8 functions again. Add missing #define so that
	libgnomeprintui compiles again.

	* data/printers/Makefile.am (printer_DATA): remove GNOME-META.printer

	* libgnomeprint/*.h: clean headers and make them a bit more consistent
	
	* libgnomeprint/gnome-font-compat.[ch]: remove

	* libgnomeprint/Makefile.am (SUBDIRS): add gnome-print-unit.c

	* libgnomeprint/gnome-print-unit.c: split from gnome-print-paper.c

	* libgnomeprint/gnome-font.c (gnome_font_get_width_utf8_sized): removing because
	it is not exposed in the public API
	(gnome_font_get_width_utf8): same

2002-06-01  Carlos Perelló Marín <carlos@gnome-db.org>

	* configure.in: Added a gtk-doc check.
	* Makefile.am (SUBDIRS): Added doc dir.
	* doc/reference: Added all files needed to build gtk-doc documentation
	for libgnomeprint. It's based on gtk+2 documentation.
	* doc/Makefile.am (SUBDIRS): Added reference dir.
	
2002-06-01  Chema Celorio  <chema@ximian.com>

	* data/models/Makefile.am (model_DATA): remove GNOME-GENERIC-META 

	* libgnomeprint/gnome-rfont.c (gnome_font_get_rfont): fix
	http://bugzilla.gnome.org/show_bug.cgi?id=81792

	* tests/Makefile.am: add warning flags

	* libgnomeprint/gnome-rfont.c (GRF_NUM_GLYPHS): make sure the font face is loaded
	otherwise we where returning 0
	* libgnomeprint/gnome-rfont.c (gnome_rfont_get_num_glyphs): implement

	* libgnomeprint/gnome-pgl.h: remove the _render_pgl_rgb[a]8 from here into
	* libgnomeprint/gnome-pgl-private.h: here

	* libgnomeprint/gnome-font-private.h: move the rbuf_render_pgl_rgb[a]8 here

	* tests/generate.c: add "text" sequence

	* libgnomeprint/gnome-pgl.c (gnome_pgl_test_point): indentation

	* libgnomeprint/gnome-rfont.c (GRF_NUM_GLYPHS): make sure
	that rfont->font->face is loaded.
	
2002-05-29  Chema Celorio  <chema@ximian.com>

	* tests/run-test.pl: start of a regresion test suite
	* tests/generate.c: generates gnome-print output to be used on
	the test suite

2002-06-01  Chema Celorio  <chema@ximian.com>

	* tests/generate.c: remove G_P_KEY_DRIVER as it was never added
	to gnome-print-config.c
	
2002-05-28  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gp-gc-private.h: broke the build again. Fix
	the header.

2002-05-28  Anders Carlsson  <andersca@gnu.org>

	* libgnomeprint/gnome-print-meta.c:
	Fix the build.
	
2002-05-28  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gp-gc-private.h: new file

	* libgnomeprint/gp-gc.h: remove most of the contents into gp-gc-private.h

	* libgnomeprint/Makefile.am (nox_private_headers): add gp-gc-private.h

	* libgnomeprint/gnome-print-frgba.c: include gp-gc-private.h
	* libgnomeprint/gnome-print.c: 
	* libgnomeprint/gp-gc.c: 
	* libgnomeprint/gnome-print-rgbp.c: 
	* libgnomeprint/gnome-print-ps2.c: 
	* libgnomeprint/gnome-print-multipage.c: 
	* libgnomeprint/gnome-print-meta.c: 
	

2002-05-27  Chema Celorio  <chema@ximian.com>

	* configure.in: post release version bump to 1.115.0

2002-05-27  Chema Celorio  <chema@ximian.com>

	* release 1.114.0

2002-05-27  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/Makefile.am (nox_private_headers): gp-gc-private.h doens't
	exist. Remove from Makefile.am

2002-05-27  Chema Celorio  <chema@ximian.com>

	* tests/Makefile.am: don't compile testprint

	* libgnomeprint/gnome-print-stdapi.c: include headers correctly

	* libgnomeprint/gnome-print-ps2.h: update to reflect new structure names

	* libgnomeprint/gnome-print-ps2.c: add a reference to the Document Structuring Convetions from
	Adobe.
	- Change the internal structures from GPPS2Foo to GnomePrintPs2Foo
	- Fix the if indentation
	(gnome_print_ps2_close): Get the orientation from GnomePrintConfig and set %%%%Orientation in
	the .ps file.
	(gnome_print_ps2_close): Set %%%%Title from GNOME_PRINT_KEY_DOCUMENT_TITLE

	* libgnomeprint/gnome-print-private.h: cosmetical changes
	* libgnomeprint/gnome-print-multipage.c: here too

	* libgnomeprint/gnome-print-master.c (gnome_print_config_get_layout_data): this funciton
	should not be here, add a warning.
	Include <gpa/gpa-private.h> since it was moved.

	* libgnomeprint/gnome-print-config.h:
	s/GNOME_PRINT_KEY_PREF_UNIT/GNOME_PRINT_KEY_PREFERED_UNIT/
	(already told Andreas so he can update gnumeric)
	(GNOME_PRINT_KEY_DOCUMENT_NAME): add key, very useful. Will set
	%%%%DocumentTitle in the .ps file

	* data/models/GNOME-GENERIC-PS.model: add Option name, apps can set the document
	name with the GNOME_PRINT_KEY_DOCUMENT_NAME which will be included in the
	%%%%DocumentTitle: entry in the .ps file. 

	* Makefile.am (SUBDIRS): remove tests for now. 

	* libgnomeprint/gnome-print-rbuf.c (gnome_print_rbuf_construct): make static
	to remove a compile time warning

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_close): the PS file printe

2002-05-26  Jacob Berkman  <jacob@ximian.com>

	* libgnomeprint/gnome-print-config.c (gnome_print_config_dump): a
	void function cannot return a value

2002-05-25  Chema Celorio  <chema@ximian.com>

	* libgnomeprint/gnome-font-compat.c: remove if 0'ed functions.
	* libgnomeprint/gnome-font-face.c: ditto
	* libgnomeprint/gnome-print-encode.c: 

	* libgnomeprint/gp-tt-t1.c (ttf_get_font_information): removed #if 0'ed function
	no longer needed. 
	(ft_get_font_information): some more #if 0'ed code bites the dust

	* libgnomeprint/gnome-rfont.c: remove if 0'ed code
	* libgnomeprint/gnome-print-multipage.c: same
	* libgnomeprint/gnome-print-meta.c: remove all of the if 0'ed code
	* libgnomeprint/gp-gc.c (gp_gc_moveto): ditto
	* libgnomeprint/gnome-print-master.c (gpm_parse_transform):

2002-05-25  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-master.[ch]: remove #ifdefed 0 declarations and
	code for g_p_m_set_paper, get_paper, set_copies & set_printer. Use GnomePrintConfig.

	* libgnomeprint/gnome-print-config.c (gnome_print_config_dump): new function
	to dump to the console a GnomePrintConfig tree

	* data/media.xml: Change the order of media so that USLetter & Legal
	are on top

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_class_init): change the order
	of the functions overloading to match the class structure

	* libgnomeprint/gnome-print-private.h: change #error message for including this
	header

2002-05-24  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-print-ps2.c (gnome_print_ps2_close) : call 
	  setpagedevice with pagesize and orientation 0  (#79343)

2002-05-17  Carlos Perello Marin <carlos@gnome-db.org>

	* data/models/GNOME-GENERIC-PS.model: Added the custom transport.
	* libgnomeprint/transports/Makefile.am,
	  libgnomeprint/transports/gp-transport-custom.c
	  libgnomeprint/transports/gp-transport-custom.h: Added the custom
	transport. This transport lets you use any command line to print.
	It's like the old GNOME 1.4 gnome-print option. The default command
	is "lpr".
	* libgnomeprint/transports/gp-transport-lpr.c: Fixed a bug to show
	the correct command error.

2002-05-15  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* data/models/GNOME-GENERIC-PS.model : add PrefUnits node
	* libgnomeprint/gnome-print-config.h : add PrefUnits key
	* libgnomeprint/gnome-print-paper.c : Meter should be capital (all the other 
	  units are) 

2002-05-15  Chema Celorio  <chema@celorio.com>

	* data/printers/GENERIC.printer: make the generic printer use lpr
	as the default

2002-05-14  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-transport.c (gnome_print_transport_new): add a warning
	that displays teh full path when the module can't be dlopened

2002-05-13  Chema Celorio  <chema@celorio.com>

	* configure.in: bump version post release to 1.114.0

2002-05-11  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-font-face.c (gff_pso_from_truetype): don't stat + open,
	instesad open + fstat is faster and does not have a race condition. Fixes,
	bug #76815
	(gff_pso_ensure_buffer_t1): ditto
	(gff_pso_ensure_buffer_tt): ditto
	(gff_pso_from_type1): ditto

	* libgnomeprint/gnome-print-meta.c (gnome_print_meta_render_file_page): ditto

2002-05-10  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-config.h (GNOME_PRINT_KEY_OUTPUT_FILENAME): add key

	* configure.in: use GNOME_COMPILE_WARNINGS correctly
	- enable-font-install=no is properly documented now
	- echo if fontmap is going to be refreshed or not

2002-05-10  Naba Kumar  <kh_naba@users.sourceforge.net>

	* configure.in: Added "hi" to ALL_LINGUAS.

2002-05-09  Chema Celorio  <chema@celorio.com>

	* configure.in: AC_ARG_PROGRAM was beeing called twice.
	Don't use GNOME_COMPILE_WARNINGS(maximum) until it gets fixed in gnome-common
	do it by hand in the mean time

	* libgnomeprint/libgnomeprint-2.0.pc.in (Requires): add pango as a requirement
	of libgnomeprint-2.0.

2002-05-08  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* libgnomeprint/gnome-print-config.c (gnome_print_config_get_length) : return 
	  points if unit == NULL

2002-05-08  Chema Celorio  <chema@celorio.com>

	* installer/parseAFM.c (parseGlobals): apply patch from <williamp@multiverse.com> to
	fix #80407

	* libgnomeprint/gnome-font-face.c (gff_pso_ensure_buffer_t1): Fix #80415 with a
	patch from <williamp@multiverse.com>
	(gff_pso_ensure_buffer_t1): Fix #80414 with a patch from <williamp@multiverse.com>

	* libgnomeprint/gp-gc.c (gp_ctx_new): fix #78662

	* libgnomeprint/gnome-print-master.c (gpm_parse_transform): remove PRINT_AFFINE

	* libgnomeprint/gnome-print-config.c (gnome_print_config_set): remove left over
	g_log
	(gnome_print_config_get): ditto

	* data/GNOME.vendor: disable the pdf driver which hasn't been ported yet.
	* data/HP.vendor: ditto for the HP-4ML
	They where generating a warning

	* libgnomeprint/gnome-print-meta.c (gnome_print_meta_render_file): fix #76815

2002-05-07  Chema Celorio  <chema@celorio.com>

	* tests/testprint.c (__TESTPRINT_C__): add a --metafile= to render from a metafile

2002-05-07  Chema Celorio  <chema@celorio.com>

	* Unify all of the licenses on .c files, same for transports, drivers & gpa

2002-05-02  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-font-face.c (gff_pso_ensure_buffer_t1): fix #80414
	patch from <williamp@multiverse.com>

2002-04-13  Chema Celorio  <chema@celorio.com>

	* libgnomeprint/gnome-print-encode.c (__GNOME_PRINT_ENCODE_C__):
	s/encodeion/encoding, long time standing typos from a s/compress/encode/g
	done a long time ago

2002-05-05  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* gpa-private.h : undo my last change

2002-05-05  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* gnome-print-config.h (gnome_print_config_dup) : new
	* gnome-print-config.c (gnome_print_config_dup) : new
	* gpa-private.h : replace redefinition of GPANode etc. with include gpa-node.h
	
2002-05-01  Zbigniew Chyla  <cyba@gnome.pl>

	i18n fixes

	* libgnomeprint/Makefile.am (nox_sources): Added gnome-print-i18n.c.

	* libgnomeprint/gnome-font-face.c, libgnomeprint/gnome-print-paper.c,
	libgnomeprint/gpa/gpa-media.c, tests/testprint.c:
	Fixed includes.

	* libgnomeprintui/gnome-print-i18n.c
	New file with libgnomeprint_gettext() function inside.

	* libgnomeprint/gnome-print-i18n.h
	Removed #defines cut&pasted from gnome-i18n.h/bonobo-i18n.h,
	included <bonobo/bonobo-i18n.h> and defined _() macro as
	libgnomeprint_gettext() function call.

2002-05-01  Morten Welinder  <terra@diku.dk>

	* libgnomeprint/gp-gc.c (gp_ctx_new): Attempt a fix for 78622.

2002-05-01  Morten Welinder  <terra@diku.dk>

	* libgnomeprint/gnome-font-face.c (gfft2_move_to): Fix 76610.
	* libgnomeprint/gp-path.c (gp_path_close_all): Ditto.

2002-05-01  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in : Added "vi" to $ALL_LINGUAS.

2002-04-20  Christophe Merlet  <christophe@merlet.net>

	* configure.in : Add "fr" to $ALL_LINGUAS.

2002-04-19  jacob berkman  <jacob@ximian.com>

	* COPYING:
	* COPYING.LIB: add

2002-04-07  Bharat Tewari <bharat.tewari@wipro.com>

	* installer/gnome-font-install.c : added /usr/openwin/lib/X11/fonts for
	the Solaris fonts to be loaded properly (fix for #75628)

2002-03-29  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump.

2002-03-29  Jody Goldberg <jody@gnome.org>

	* Release 1.112.0

2002-03-29  Jody Goldberg <jody@gnome.org>

	* configure.in : version bump to 1.112.0

2002-03-30  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added ko to ALL_LINGUAS.

2002-03-28  Morten Welinder  <terra@diku.dk>

	* libgnomeprint/gnome-print-meta.c (gpm_encode_double): Fix
	BIG_ENDIAN case.  Cleanup a bit also.

2002-03-24  TÃµivo LeedjÃ¤rv  <toivo@linux.ee>

	* configure.in: Added et to ALL_LINGUAS.

2002-03-18  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomeprint/gnome-print-unit.h: Oops, added typedef so we will not
	declare fresh variable ecaht time header is included (thanks to Jean Brefort)

2002-03-07  jacob berkman  <jacob@ximian.com>

	* tests/Makefile.am (INCLUDES): same as below

	* installer/Makefile.am (INCLUDES): remove bogus CPPFLAGS as this
	is broken
	(libgnomeprint_2_0_font_install_LDADD): link against -lpopt

	* installer/gnome-font-install.c: include config.h

	* libgnomeprint/Makefile.am (INCLUDES): remove bogus $CPPFLAGS as
	this is really broken

	* libgnomeprint/gnome-print-ps2.c: include config.h

	* configure.in: fix up pkg-config checks (do one rather than many)
	and don't AC_SUBST things like CFLAGS, LDFLAGS, CPPFLAGS as that
	is broken. also set OMNI_CFLAGS to -I<omniincludedir> rather than
	the broken way it was before

	* libgnomeprint/drivers/Makefile.am (INCLUDES): don't use
	-I$(OMNI_INCLUDEDIR) as that expands to -I which breaks a lot of
	things

2002-02-22  Lauris Kaplinski  <lauris@ximian.com>

	* installer/gnome-font-install.c: Added --refresh argument

	* installer/gf-fontmap.h: include isalias field in struct

	* installer/gnome-font-install.c: Use NULL-terminated path list
	instead of specifying number of elements
	(main): Clean up smart mode target confusion
	(gfi_verify_font_entry): Check map generator version
	(gfi_verify_pfb_file): Ditto
	(gfi_verify_ttf_file): Ditto
	(gfi_process_alias): Do not require afm at all
	(gfi_build_font): Read name & version from pfb->gfi
	(gfi_font_is_registered): Test map versions
	(gfi_ensure_directory): Start from "/"
	(gfi_write_fontmap): Set gpversion

	* installer/gf-pfb.c (gf_pfb_search_def_float): Ditto

	* installer/gf-fontmap.c (gf_fontmap_load_file): Read gpversion

	* installer/Makefile.am (CPPFLAGS): -DVERSION

2002-02-21  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomeprint/gp-tt-t1.c: Removed some commented out code and killed warnings

	* libgnomeprint/gnome-glyphlist.h: Moved constructors/destructors here
	from private header

	* libgnomeprint/gp-path.c: Kill warnings

	* libgnomeprint/gnome-print-master.c: Killed warnings/debug printouts

2002-02-20  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomeprint/gpa-private.h: Fixed header guard clash

2002-02-18  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: remove non-existing GNOME_PLATFORM_GNOME_2
	fix GNOME_COMPILE_WARNINGS for latest gnome-common.

2002-02-12  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomeprint/gp-tt-t1.c (ttf_type1_dump): Use unsigned chars
	(is_integer): Change argument type to unsigned char *
	(ttf_type1_dump): Ditto

	* libgnomeprint/gnome-rfont.c: Comment out stale declarations

	* libgnomeprint/gnome-print-paper.c (gnome_print_paper_get_by_name): Use
	g_ascii_strcasecmp
	(gnome_print_unit_get_by_name): Ditto
	(gnome_print_unit_get_by_abbreviation): Ditto

	* libgnomeprint/gnome-font-face.c: #include <ctype.h>

	* libgnomeprint/gnome-print-config.c (gnome_print_config_get_length): use
	unsigned char * as text pointer

	* libgnomeprint/drivers/gnome-print-fax.c (gnome_print_fax_construct): Use
	GnomePrintConfig frontend for reading settings

	* libgnomeprint/gnome-print-config.c (gnome_print_config_get_boolean): Use
	g_ascii_strcasecmp

	* libgnomeprint/gnome-print-master.c (gpm_parse_transform): Return
	value here, made isspace argument unsigned

	* libgnomeprint/gnome-glyphlist.c (gnome_glyphlist_new): Return glyphlist

2002-02-11  Michael Meeks  <michael@ximian.com>

	* Version 1.111.0

2002-02-10  Jody Goldberg <jody@gnome.org>

	* libgnomeprint/gpa/gpa-value.c : include libxml/globals to get
	  xmlFree.
	* libgnomeprint/gpa/gpa-key.c : ditto.
	* libgnomeprint/gpa/gpa-option.c : ditto.
	(gpa_option_new_node_from_tree) : warning suppression.

2002-01-29  Michael Meeks  <michael@ximian.com>

	* Version 1.110.0

2002-01-20  Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.ini: Added Malay (ms)to ALL_LINGUAS.
	* po/ms.po: Added Malay Translation.

2002-01-18  Michael Meeks  <michael@ximian.com>

	* Prepended libgnomeprint/ChangeLog into here & removed.

2002-01-10  Michael Meeks  <michael@ximian.com>

	* Version 1.109.1

2001-12-29  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-master.c (gnome_print_config_get_transform): Made public

	* gnome-print-private.h: Added gnome_print_config_get_transform here

	* gnome-print-ps2.c (gnome_print_ps2_construct): Try to determine page
	dimensions from paper size and feed orientation
	(gnome_print_ps2_close): Added %%DocumentMedia, %%Orientation and %%Pagemedia

	* gnome-rfont.c (grf_ensure_slot_graymap): Wrap graymap inside structure
	instead of drawing plain block on small sizes
	(gnome_rfont_render_glyph_rgb8): Ditto

2001-12-23  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-rfont.c (gnome_font_get_rfont): Added greek boolean field
	(grf_ensure_slot_graymap): Ignore graymap if font is greek
	(gnome_rfont_render_glyph_rgb8): Render greek

2001-12-22  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-pgl.c (gnome_pgl_test_point): Test full bbox instead ov SVP

	* gnome-rfont.c (gnome_rfont_init): Removed graymaps and dimensions
	(gnome_rfont_finalize): Ditto, added new glyph cache
	(gnome_font_get_rfont): Initialize glyph cache
	(grf_ensure_slot): New helper
	(grf_ensure_slot_bbox): Ditto
	(grf_ensure_slot_graymap): Ditto
	(grf_ensure_slot_stdadvance): Ditto
	(gnome_rfont_get_glyph_stdadvance): Use grid-fitted advance
	(gnome_rfont_get_glyph_stdbbox): Ditto
	(gnome_rfont_render_glyph_rgba8): Use new glyph cache
	(gnome_rfont_render_glyph_rgb8): Ditto

2001-12-21  Lauris Kaplinski  <lauris@ximian.com>

	* gp-fontmap.c: From gnome-print 1

	* gp-fontmap.h: From gnome-print 1

	* gnome-print-ps2.c (gnome_print_ps2_finalize): Some strucutre
	changes from gnome-print 1
	(gnome_print_ps2_glyphlist): Use new font markers, dirtify used glyphs
	(gnome_print_ps2_showpage): New font markers
	(gnome_print_ps2_close): Ditto, also remove evil crash bug
	(gp_ps2_set_font_private): New font markers

	* gnome-print-master.c (gnome_print_master_print): Start each
	physical page from correct logical page number

	* gnome-font.c (gnome_font_face_get_font_full): Semi-public

	* gnome-font-private.h: PSO structure from gnome-print 1

	* gnome-font-face.c (gff_face_from_entry): Helper from gnome-print 1
	(gnome_font_face_find): Fall back to default not Helvetica
	(gnome_font_face_find_closest): Use new fontmap structure, fall back
	to default
	(gnome_font_face_find_closest_from_weight_slant): Ditto
	(gnome_font_face_find_from_family_and_style): Ditto
	(gnome_font_face_get_font): Bypass fontmap here
	(gff_load): Port from gnome-print 1
	(gnome_font_face_pso_new): From gnome-print 1
	(gnome_font_face_pso_mark_glyph): Ditto
	(gnome_font_face_pso_free): Ditto
	(gnome_font_face_pso_ensure_buffer): Ditto
	(gff_pso_ensure_buffer_t1): Ditto
	(gff_pso_ensure_buffer_tt): Ditto
	(gff_pso_ensure_buffer_empty): Ditto
	(gf_pso_sprintf): Ditto
	(gf_pso_ensure_space): Ditto

	* gnome-font-compat.c (gnome_font_face_get_weight_code): Use new
	fontmap structure
	(gnome_font_face_is_italic): Ditto

	* Makefile.am (CPPFLAGS): Added FONTMAPDIR_[STATIC|DYNAMIC]

2001-12-20  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-unit.h: Some comments

	* gnome-print-paper.c: Fixed initial cap typo in unit array
	(gnome_print_convert_distance_full): Allow dimensionless units in all
	conversions, treating these the same as base
	(gnome_print_convert_distance): Ditto

2001-12-19  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-master.c (gnome_print_master_print): Collate physical,
	not logical pages

	* libgnomeprint-2.0.pc.in (Requires): Added libxml & libbonobo

	* gnome-print-private.h: Made layout parsing available to
	libgnomeprintui

	* gnome-print-master.c (gnome_print_layout_free): New method
	(gnome_print_layout_new_from_data): Ditto
	(gnome_print_layout_data_free): Ditto
	(gnome_print_config_get_layout_data): Ditto

2001-12-17  Lauris Kaplinski  <lauris@ximian.com>

	* gp-gc.h: More comments

	* gpa-private.h: Error #ifndef WE_ARE_LIBGNOMEPRINT_UI

	* gnome-print.h: More comments

	* gnome-print-private.h: Error #ifndef WE_ARE_LIBGNOMEPRINT_UI

	* Makefile.am (CPPFLAGS): -DWE_ARE_LIBGNOMEPRINT_UI

	* transports/Makefile.am (CPPFLAGS): -DWE_ARE_LIBGNOMEPRINT_UI

	* drivers/Makefile.am (CPPFLAGS): -DWE_ARE_LIBGNOMEPRINT_UI

	* gnome-print-unit.h: More comments

	* gnome-print-multipage.h: More comments

	* gnome-print-meta.h: More comments

	* gnome-print-master.h: More comments

	* gnome-print-config.h: More comments

	* gnome-pgl.h: Added some comments

	* gnome-glyphlist.h: A little cleaning and lot of comments

2001-12-14  Lauris Kaplinski  <lauris@ximian.com>

	* gpa-private.h: Added GNOME_PRINT_CONFIG_NODE private wrapper

	* gp-path.c: Some little fixes from gnome-print-1

	* gp-gc.c: Ported some little fixes from gnome-print-1

	* gnome-print.c (gnome_print_gsave): Do gsave before virtual method

	* gnome-print-paper.c: Added handful of useful units
	(gnome_print_unit_get_by_name): Parse by plural as well
	(gnome_print_unit_get_by_abbreviation): Ditto

	* gnome-print-multipage.c (gnome_print_multipage_clip): Do
	it the right way, now if objects are untransformed
	(gnome_print_multipage_fill): Ditto
	(gnome_print_multipage_stroke): Ditto
	(gnome_print_multipage_image): Ditto
	(gnome_print_multipage_glyphlist): Ditto
	(gnome_print_multipage_finish_page): New method, sends showpage,
	even if page is not completely filled
	(gnome_print_multipage_beginpage): Do gsave here
	(gnome_print_multipage_affine_list_duplicate): Cleanup

	* gnome-print-master.c (gnome_print_master_init): Initialize
	layout data
	(gnome_print_master_finalize): Clear layout data
	(gnome_print_master_get_pages): Calculate number of pages using
	parsed layout
	(gnome_print_master_get_page_size_from_config): New method,
	actually not GnomePrintMaster one, but belongs here for
	technical reasons
	(gnome_print_master_print): Print layout
	(gnome_print_master_render): New method, prints layout to arbitrary
	external context
	(gnome_print_master_render_page): Same as previous, but does
	only single page
	(gpm_update_layout_data): New helper
	(gnome_print_config_get_transform): Ditto
	(gpm_parse_config_data): Ditto
	(gpm_clear_config_data): Ditto
	(gpm_parse_transform): Ditto

	* gnome-print-master-private.h: Added private field for holding
	layout-specific data

	* gnome-print-config.h: Added handful of keys and some explanations

	* gnome-print-config.c (gnome_print_config_get_node): New strictly
	private (for libgnomeprintui) method
	(gnome_print_config_default): GnomePrintConfig is not real wrapper
	struct, not node typedef
	(gnome_print_config_ref): Ditto
	(gnome_print_config_unref): Ditto
	(gnome_print_config_get): Ditto
	(gnome_print_config_set): Ditto

	* gp-gc.c (gp_gc_moveto): Do transform twice - I do not know why,
	but for some reason first time gave me nan-s

2001-12-12  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-meta.c (gnome_print_meta_get_pages): Add 1 to pagenum ;)

	* gnome-print.c (gnome_print_context_construct): Use GnmePrintConfig
	(gnome_print_context_new): Ditto
	(gnome_print_showpage): Clear page flag here

	* gnome-print-transport.c (gnome_print_transport_construct): Use
	GnomePrintConfig
	(gnome_print_transport_new): Ditto
	(gnome_print_transport_create): Ditto

	* gnome-print-ps2.c (gnome_print_ps2_new): Use GnomePrintConfig
	(gnome_print_ps2_construct): Get page dimensions using length

	* gnome-print-private.h: Use GnomePrintConfig instead of GPANode

	* gnome-print-paper.c: More unit types

	* gnome-print-config.c (gnome_print_config_get_length): New
	convenience method
	(gnome_print_config_set_length): Ditto

	* gnome-print-config.h: Added new _length methods

	* Makefile.am (nox_headers): Added gnome-print-unit.h

	* gnome-print-paper.h: Removed units

	* gnome-print-unit.h: Moved units into separate header

2001-12-11  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-transport.c (gnome_print_transport_new): Cache modules
	in hash

	* gnome-print.c (gnome_print_context_new): Cache modules in hash,
	so no duplicate reading occurs - still not perfect, but better than
	before

2001-12-10  jacob berkman  <jacob@ximian.com>

	* gnome-print-i18n.h (_): use GETTEXT_PACKAGE

2001-12-09  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-paper.c (gnome_print_papers_load): Helper, loads
	PhysicalSizes from media tree
	(gnome_print_paper_get_default): Use prev helper
	(gnome_print_paper_get_by_name): Ditto
	(gnome_print_paper_get_by_size): Ditto
	(gnome_print_paper_get_closest_by_size): Ditto
	(gnome_print_paper_get_list): Ditto

2001-12-05  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-font-face.c (gnome_font_style_list_free): Do not return
	value in void function

2001-12-05  Jens Finke <jens@triq.net>

	* Makefile.am (libgnomeprintincdir):
	* libgnomeprint-2.0.pc.in (Cflags): Install headers in
	libgnomeprint-2.0 rather than gnome-2.0

2001-12-03  Michael Meeks  <michael@ximian.com>

	* Version 1.107.0

2001-11-28  Anders Carlsson  <andersca@gnu.org>

	* libgnomeprint-marshal-main.c: Include glib-object.h

	* gnome-font.c (gnome_font_get_closest_pango_font): Add an extra
	PangoContext argument.

	* gnome-font-private.h: Include glib-object.h.

	* gnome-print-master.c (gnome_print_master_get_type): Return GType.

2001-09-28  Michael Meeks  <michael@ximian.com>

	* gnome-print-bonobo.c (impl_render): fix
	bonobo_closure_invoke for new signature.

	* gnome-print.c (gnome_print_callback_closure_invoke): ditto.

2001-09-27  Michael Meeks  <michael@ximian.com>

	* Version 1.105.0

2001-09-19  Darin Adler  <darin@bentspoon.com>

	* gnome-font-face.c:
	(gnome_font_face_find_closest_from_pango_description):
	Update for newer pango.

	* gp-fontmap.c: Fix libxml includes.

2001-09-09  Michael Meeks  <michael@ximian.com>

	* Makefile.am (libgnomeprintincdir): upd install path.

	* libgnomeprint-2.0.pc.in: update include path.

2001-08-22  Michael Meeks  <michael@ximian.com>

	* Version 1.103.0

2001-08-22  Lauris Kaplinski  <lauris@ximian.com>

	* gp-fontmap.c (gp_fontmap_load): Load libgnomeprint-2.0.fontmap as well

2001-08-18  Darin Adler  <darin@bentspoon.com>

	* Makefile.am: Build the marshal files in a simpler way.
	* gp-fontmap.h: Fix include that was using <gnome-xml/*> instead
	of <libxml/*>.

	* drivers/Makefile.am:
	* transports/Makefile.am:
	Remove extra -I.

2001-08-15  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-paper.h: File originating from libgnome

	* gnome-print-paper.c: File originating from libgnome, mostly rewritten

2001-08-13  Michael Meeks  <michael@ximian.com>

	* gnome-font-face.c (gnome_font_face_find_closest): fix bug.

	* gnome-print-meta.c (gnome_print_meta_callback): disable
	crack smoking.

	* gnome-font.c (gnome_font_find_closest): fix same bug.

	* gpa-private.h: add gpa_node_get_type.

	* gnome-print.c (gnome_print_page_callback_closure): impl.
	(gnome_print_page_callback): make it use the closure.
	(gnome_print_callback_closure_invoke): impl helper.

	* gnome-print-meta.c (gnome_print_meta_callback): upd.

	* Makefile.am: add build dep. fix.

2001-08-07  Michael Meeks  <michael@ximian.com>

	* Makefile.am: don't distribute marshaller sources.

2001-08-13  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-pgl.c (gnome_pgl_test_point): New method

	* gnome-print-private.h: Moved GnomePrintTransport typedef here

	* gnome-rfont.h: Removed const for methods, that in future may involve
	implicit FT_Face hackery

	* gnome-font.c (gnome_font_get_glyph_stdadvance): Use normal test instead
	of g_return_val_if_fail
	(gnome_font_get_glyph_stdbbox): Ditto
	(gnome_font_get_glyph_stdoutline): Added warning, if face stdoutline fails
	(gnome_font_get_glyph_stdkerning): New method
	(gnome_font_find_closest): Pure name-based method
	(gnome_font_find_closest_from_full_name): New method
	(gnome_font_find_closest_from_weight_and_slant): Renamed old closest find

	* gnome-font-face.h: Synced weight with PangoWeight (multiplied with 100)
	Removed const from methods that load FT_Face implicitly

	* gnome-font.h: Removed const in sync with face (for future expansion)

	* gnome-font-face.c (gnome_font_face_get_glyph_stdkerning): New method
	(gnome_font_face_get_prop): Implement most
	(gnome_font_face_find_closest): Made this pure name-based search
	(gnome_font_face_find_closest_from_weight_slant): Renamed old closest find

	* gnome-font-compat.c (gnome_font_face_get_descender): Sign as in afm

	* gnome-rfont.c (gnome_rfont_get_glyph_stdkerning): Implement through
	font kerning

2001-08-10  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-font.c (gnome_font_get_closest_pango_font): New method
	(gnome_font_get_pango_description): Ditto

	* gnome-rfont.c (gnome_rfont_get_closest_pango_font): New method
	(gnome_rfont_get_pango_description): Ditto

	* gnome-print-stdapi.c (gnome_print_arcto): New method
	(gnome_print_line_stroked): Ditto
	(gnome_print_rect_stroked): Ditto
	(gnome_print_rect_filled): Ditto

	* gnome-print.h: Added gnome_print_arc

	* gnome-font.c: Use most afm properties
	(gnome_font_init): New internal structure
	(gnome_font_finalize): Ditto
	(gnome_font_face_get_font_full): Ditto
	(gnome_font_get_glyph_stdadvance): Ditto
	(gnome_font_get_glyph_stdbbox): Ditto
	(gnome_font_get_glyph_stdoutline): Ditto
	(gnome_font_get_ascender): Ditto
	(gnome_font_get_descender): Ditto
	(gnome_font_get_underline_position): Ditto
	(gnome_font_get_underline_thickness): Ditto
	(gnome_font_get_name): Ditto
	(gnome_font_get_ps_name): Ditto
	(gnome_font_get_full_name): Ditto
	(gnome_font_get_family_name): Ditto
	(gnome_font_get_species_name): Ditto
	(gnome_font_get_size): Ditto
	(gnome_font_get_face): Ditto
	(gnome_font_get_glyph_width): Ditto
	(gnome_font_get_width_utf8_sized): Ditto

	* gnome-font-private.h: Removed GnomeFontPrivate,
	Added font list to face

	* gnome-font.h: Moved _style_list methods here

	* gnome-font-face.c (gnome_font_face_find_closest_from_pango_font): New method
	(gnome_font_face_find_closest_from_pango_description): Ditto

	* gnome-font-face.h: Added _from_pango_ finding methods
	Moved gnome_font_face_get_font_ methods here

2001-08-09  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-font-face.h: Explain properties

	* gnome-font-face.c (gnome_font_face_get_prop): New method

	* gnome-print-config.h: #define some most common keys here

	* gnome-print-ps2.c (gnome_print_ps2_construct): Use defined key names

	* gnome-print.h: Added some comments

2001-08-04  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-bonobo.c (impl_render): Added beginpage/showpage pair

	* gnome-print-bonobo-client.c (gnome_print_bonobo_data_re_render):
	Render first page with suppressed pageops

	* gnome-print-meta.c (gnome_print_meta_render_file_page): Added
	boolean arguments to specify, whether to pass beginpage/showpage
	(gnome_print_meta_render_data_page): Ditto
	(gpm_render): Ditto

	* gnome-print-meta.h: Ditto

2001-08-01  Michael Meeks  <michael@ximian.com>

	* gnome-print-bonobo-client.[ch]: add.

	* Makefile.am: enable it.

2001-08-01  Michael Meeks  <michael@ximian.com>

	* Makefile.am: add gnome-print-bonobo*, add marshaller generation
	code.

	* gnome-print-bonobo.[ch]: Add.

	* libgnomeprint-marshal-main.c: Add.

2001-07-31  Martin Baulig  <baulig@suse.de>

	* *.[ch]: Use G_BEGIN/END_DECLS everywhere and #include <glib/gmacros.h>
	instead of <libgnome/gnome-defs.h>.

	* gnome-font-face.c: #include <locale.h>.

	* gnome-print-ps2.c: Don't #include <libgnome/gnome-paper.h>.
	* drivers/gnome-print-fax.h: Ditto.

2001-07-26  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-rgbp.c (rgbp_showpage): Use gnome_print_meta_render_data

	* gnome-print-frgba.c (gpf_render_buf): Use gnome_print_meta_render_data

2001-07-25  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-meta.c (meta_beginpage): Reorganize for clarity
	(meta_showpage): Ditto
	(gpm_decode_pointer): Unportable method for local rendering
	(gpm_encode_pointer): Ditto
	(do_render): Decode callback
	(gnome_print_meta_callback): Implement
	(gnome_print_meta_get_buffer): New function
	(gnome_print_meta_render_data): Ditto
	(gnome_print_meta_render_data_page): Ditto
	(gnome_print_meta_render_file): Ditto
	(gnome_print_meta_render_file_page): Ditto

	* gnome-glyphlist.c (gnome_glyphlist_duplicate): New method

	* gnome-print-private.h: Added ::page virtual method

	* gnome-print.c (gnome_print_beginpage): Return correct value
	(gnome_print_showpage): Ditto
	(gnome_print_gsave): Ditto
	(gnome_print_grestore): Ditto
	(gnome_print_clip_bpath_rule): Ditto
	(gnome_print_fill_bpath_rule): Ditto
	(gnome_print_stroke_bpath): Ditto
	(gnome_print_image_transform): Ditto
	(gnome_print_glyphlist_transform): Ditto
	(gnome_print_context_close): Ditto
	(gnome_print_page_callback): New function

	* gnome-print.h: Added gnome_print_page_callback

2001-07-23  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-pgl.c (gnome_pgl_from_gl): Made matrix const

	* gnome-font.h: Moved gnome_font_face_get_font back here

2001-07-22  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-font-face.c (gnome_font_face_find): Use guchar * in signature
	(gnome_font_face_find_closest): Ditto
	(gnome_font_face_find_from_family_and_style): New function
	(gnome_font_style_list): New function
	(gnome_font_style_list_free): New function

	* gnome-rfont.h (gnome_rfont_render_pgl_rgba8): #define pgl
	rendering functions

	* gnome-pgl.c (gnome_pgl_render_rgba8): Moved pgl rendering here
	(gnome_pgl_render_rgb8): Ditto

2001-07-20  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-rgbp.h: Use G_END_DECLS

	* gnome-print-rgbp.c (rgbp_image): Use guchar signature

	* gnome-print-rbuf.c (gpb_image): Use guchar in signature

	* gnome-print-stdapi.c (gnome_print_clip): Use new currentpath logic
	(gnome_print_eoclip): Ditto
	(gnome_print_fill): Ditto
	(gnome_print_eofill): Ditto
	(gnome_print_stroke): Ditto
	(gnome_print_strokepath): Ditto

--- Merge ChangeLogs ---

2002-01-16  Roy-Magne Mo  <rmo@sunnmore.net>

	* configure.in: Added no and nn to ALL_LINGUAS 

2002-01-11  Laszlo Peter  <laca@ireland.sun.com>

	* libgnomeprint/gp-tt-t1.c: s/__FUNCTION__/G_GNUC_FUNCTION/

2002-01-10  Michael Meeks  <michael@ximian.com>

	* Version 1.109.1

2002-01-07  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in (ALL_LINGUAS): Added pl.

2001-12-29  Lauris Kaplinski  <lauris@ximian.com>

	* tests/testprint.c (do_print_text): Use layout page size for --text

2001-12-27  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added portuguese to ALL_LINGUAS

2001-12-26  Lauris Kaplinski  <lauris@localhost.localdomain>

	* installer/gnome-font-install.c: Added /usr/share/Abisuite/fonts

	* installer/gf-fontmap.c (gf_font_db_new): Add missing '/' to fontmap name
	(gf_font_db_load): Ditto

2001-12-21  jacob berkman  <jacob@ximian.com>

	* installer/gnome-font-install.c: use popt.h as there is no
	popt-gnome.h

2001-12-21  Lauris Kaplinski  <lauris@ximian.com>

	* installer/gnome-font-install.c: Port from gnome-print 1

	* installer/gf-ttf.c: Port from gnome-print 1

	* installer/gf-ttf.h: Port from gnome-print 1

	* installer/gf-pfb.c: Port from gnome-print 1

	* installer/gf-pfb.h: Port from gnome-print 1

	* installer/gf-fontmap.h: Port from gnome-print 1

	* installer/gf-fontmap.c: Port from gnome-print 1

	* installer/Makefile.am (INSTALL_COMMAND): Upgrade to new installer
	(CPPFLAGS): -D sysconfdir and libdir

	* fonts/Makefile.am: Install adobe-urw.font and defaults.fontmap

	* Makefile.am (SUBDIRS): Added fonts

	* fonts/adobe-urw.font: Another copy of urw aliases

	* fonts/defaults.fontmap: Almost empty defaults file

	* installer/Makefile.am (CPPFLAGS): Added -DFONTMAPDIR_[STATIC|DYNAMIC]

	* configure.in: Added --disable-font-install for faster testing

2001-12-19  Miles Lane  <miles@megapathdsl.net>

	* configure.in: Remove GNOME_COMMON_INIT per Porting Guide
	* acconfig.h: Add #undef GETTEXT_PACKAGE

2001-12-19  Lauris Kaplinski  <lauris@ximian.com>

	* data/media.xml: Use the same key names as in final option tree

2001-12-17  Lauris Kaplinski  <lauris@ximian.com>

	* configure.in: Version 1.109

2001-12-14  Lauris Kaplinski  <lauris@ximian.com>

	* data/models/GNOME-GENERIC-PS.model: Added all options needed to
	make simple config system to work

	* data/media.xml: Define all layouts here

2001-12-12  Lauris Kaplinski  <lauris@ximian.com>

	* tests/testprint.c (do_print_text): Added test for printing
	multi-page text

	* configure.in: Version 1.108

2001-12-10  jacob berkman  <jacob@ximian.com>

	* acconfig.h:
	* configure.in: define GETTEXT_PACKAGE

2001-12-09  Lauris Kaplinski  <lauris@ximian.com>

	* tests/testprint.c (gpa_node_describe): Print out GPA tree
	(main): Added arguments to print out GPA tree or paper list

2001-12-08  Lauris Kaplinski  <lauris@ximian.com>

	* data/media.xml: Define paper types here

2001-12-07  Laszlo Peter  <laca@ireland.sun.com>

	* libgnomeprint/gnome-font-face.c: fix a void function returning
	a value.

2001-12-05  Lauris Kaplinski  <lauris@ximian.com>

	* HACKING: Fixed my email address

2001-12-03  Michael Meeks  <michael@ximian.com>

	* Version 1.107.0

2001-11-03  Michael Meeks  <michael@ximian.com>

	* Version 1.106.0

2001-11-01  Michael Meeks  <michael@ximian.com>

	* installer/gf-fontmap.c: kill libgnome usage.

2001-09-21  Havoc Pennington  <hp@redhat.com>

	* configure.in, autogen.sh: remove CERTIFIED_GNOMIE

2001-09-29  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" to the languages list.

2001-09-27  Michael Meeks  <michael@ximian.com>

	* Version 1.105.0

2001-09-26  Hector Garcia Alvarez  <hector@scouts-es.org>

	* configure.in: Added "es" to ALL_LINGUAS

2001-09-25  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Azeri (az) and Walloon (wa) to ALL_LINGUAS
	* configure.in: Added Catalan (ca) to ALL_LINGUAS

2001-09-19  Darin Adler  <darin@bentspoon.com>

	* installer/gf-fontmap.c:
	* installer/gnome-font-install.c:
	Fix libxml includes.

2001-09-19  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN for Simplified Chinese.

2001-09-06  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added sk to ALL_LINGUAS.

2001-09-04  Andras Timar  <timar@gnome.hu>

	* configure.in: Added hu to ALL_LINGUAS.

2001-09-01  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added zh_TW to ALL_LINGUAS.

2001-08-24  jacob berkman  <jacob@ximian.com>

	* installer/gf-ttf.c (gf_ttf_open): 
	* installer/gf-pfb.c (gf_pfb_open): work around buggy mmap() in
	linux which returns NULL when length is 0.

2001-08-22  Michael Meeks  <michael@ximian.com>

	* Version 1.103.0

2001-08-22  Darin Adler  <darin@bentspoon.com>

	* installer/.cvsignore: Ignore what's really there.

	* installer/gf-fontmap.c:
	* installer/parseAFM.h:
	Remove includes of <libgnome/gnome-defs.h>, since that doesn't
	exist any more.

2001-08-22  Lauris Kaplinski  <lauris@ximian.com>

	* installer/gnome-font-install.c (gfi_build_font): Diget NULL version
	(gfi_read_afm_file_data): Ignore afms with missing attributes

	* Makefile.am (SUBDIRS): added installer

	* configure.in (LIBGNOMEPRINT_LIBS): added installer/Makefile
	Version 1.103.0

	* installer/gnome-font-install.c: Font installer is back

	* installer/gf-ttf.h: Ditto

	* installer/gf-pfb.*: Ditto

	* installer/gf-fontmap.*: Ditto

2001-08-18  Darin Adler  <darin@bentspoon.com>

	* configure.in: Add GLIB_GENMARSHAL. No need to build intl
	directory due to the way we use gettext.
	* Makefile.am: No need to build the intl directory due to
	the way we use gettext.
	* tests/Makefile.am: Remove extra -I.

2001-08-17  Michael Meeks  <michael@ximian.com>

	* Version 1.102.0

2001-08-16  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "tr" to the languages list.

2001-07-31  Michael Meeks  <michael@ximian.com>

	* configure.in: use PKG_CHECK_MODULES, not the gnome version,
	and add a libbonobo check.

2001-07-31  Martin Baulig  <baulig@suse.de>

	* tests/testprint.c: #include <popt.h> instead of <popt-gnome.h>.

2001-07-27  Lauris Kaplinski  <lauris@ximian.com>

	* configure.in: Use maximum warnings

2001-07-17  Christian Rose  <menthos@menthos.com>

	* sv.po: Added sv to ALL_LINGUAS.

2001-07-16  Lauris Kaplinski  <lauris@ximian.com>

	* configure.in (LIBGNOMEPRINT_LIBS): Added Makefiles under data

	* data/printers/Makefile.am: Added generic printer

	* data/Makefile.am (vendordir): Use gnome-print-2.0

	* data/models/Makefile.am (modeldir): use gnome-print-2.0
